commit 51cce0b1254b356cc3e5300ad9fa822b79ab7157
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Dec 19 10:50:01 2015 +0000

    Release 0.2.15

 NEWS               | 36 ++++++++++++++++++++++++++++++++++++
 configure.ac       |  4 ++--
 src/grl-registry.c |  2 +-
 3 files changed, 39 insertions(+), 3 deletions(-)

commit 37afb36c7efa576e13e8c89d266419c5eca1e07d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Dec 17 02:03:10 2015 +0100

    Updated Polish translation

 po/pl.po | 85 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 43 insertions(+), 42 deletions(-)

commit 3a6f1f3dc253532901b97bb6c734870ad861dea1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 16 14:13:10 2015 +0100

    net: Better error message when a mock file is absent
    
    Now we'll print the path of the missing file, instead of a glib message
    about it.

 libs/net/grl-net-mock.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 5bc5a5b9be56835fa7d0139fb274e212e0e5bb6f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 1 16:17:02 2015 +0100

    core: Remove trailing '/' from GrlMedia IDs
    
    grl-launch-0.3 -S browse -k title grlbox://grl-tracker-source/videos/
    should have the same output as:
    grl-launch-0.3 -S browse -k title grlbox://grl-tracker-source/videos
    
    The first would get its ID parsed to "videos/" whereas the second would
    be parsed to "videos". Chomp the trailing '/'.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758654

 src/data/grl-media.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 00cc9d8efdf992215850f5b7bf89cf62bffb5210
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 25 14:18:21 2015 +0100

    grl-launch: Add examples to man page
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758655

 grl-launch-0.2.1 | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit f3860a162a8de7a6e5446e604caa0b8ee07a1d6b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 25 11:59:02 2015 +0100

    grl-launch: Clarify "-T" option
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758655

 grl-launch-0.2.1                | 2 +-
 tools/grilo-launch/grl-launch.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 760cf0a2193a33b44118a6f4b6e55dafcb5c1364
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 25 12:28:50 2015 +0100

    source: Warn against broken media boxes
    
    All media boxes should have IDs for us to be able to serialise, or
    deserialise it, and, for example, browse the sub-boxes in some sources
    with grl-launch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758654

 src/grl-source.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 07a631fff4185b555c189ee01417ceafd018a59a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Dec 13 18:37:29 2015 +0100

    Updated Slovenian translation

 po/sl.po | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 237054657dd2ca725530e6f42c78d3cfcdb59ef2
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Dec 10 11:21:21 2015 +0000

    build: Show better configuration info
    
    Pretty-print configuration setup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755702

 configure.ac | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit c6f6571b7ce23fd74a8ce02cb1f9b9047086aad3
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Nov 19 21:43:33 2015 +0200

    Updated Hebrew translation

 po/he.po | 87 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 46 insertions(+), 41 deletions(-)

commit 08719687c8b2d82570e648e43ad02fdd57a506ca
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Tue Nov 10 13:58:16 2015 +0000

    Updated Occitan translation

 po/oc.po | 147 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 76 insertions(+), 71 deletions(-)

commit 3ed243a41ab6249dd3d3ab547bfe8c996194d6a2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 21 17:54:16 2015 +0100

    Revert "Revert "Revert "Updated Basque language"""
    
    This reverts commit 6680b876475b158a6410c91c4af572fb7475f08a.
    
    Sorry, wrong repository.

 po/eu.po | 89 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 42 insertions(+), 47 deletions(-)

commit 52031d3a8a40a23d3688c283e8964154a78ebfdd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 21 17:54:11 2015 +0100

    Revert "Revert "Updated Basque language""
    
    This reverts commit db6c817568d8b9c01d8be06fd71dab5005d7de7a.

 po/eu.po | 89 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 42 deletions(-)

commit deeb54276dea369c89a9ec2612a64babb37ce6b6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 21 17:52:46 2015 +0100

    Revert "Updated Basque language"
    
    This reverts commit 499045f6397fa925f3c42be166a33808f74f7f9a.
    
    Only G-C-C has been ported.

 po/eu.po | 89 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 42 insertions(+), 47 deletions(-)

commit b9beee4dbc36790d5cb17ac424b48afcec6c6d62
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Oct 14 12:35:30 2015 +0200

    Updated Basque language

 po/eu.po | 89 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 42 deletions(-)

commit b7498dcd6544645f2e96f1df7d6b317c54adeb40
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Oct 2 14:30:34 2015 +0000

    grl-inspect: print related keys

 tools/grilo-inspect/grl-inspect.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 34a53b0f5a345979e158c7157187b3a087f46c78
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Fri Oct 2 07:06:55 2015 +0000

    Updated German translation

 po/de.po | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit 59a6b28dcd2c3be42f785de10dba14c2e4d196ef
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 30 20:52:51 2015 +0000

    build: surround GRL_MAJORMINOR with braces
    
    It fixes distcheck.

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4afb4bc11c5356c3d8e20015bf3871913d1b57c8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 30 15:45:29 2015 +0000

    travis: Update Travis requirements
    
    Use ppa:grilo-team/travis repository, and add also libtotem-plparser-dev to be
    able to build GrlPls.

 .travis.yml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 763c6dca9639bfd80016f6da6ca9e35d8447c078
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 24 14:38:17 2015 +0200

    vala: Don't remove .deps file on clean
    
    Instead, they should only be removed when maintainer-clean is done.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755368

 bindings/vala/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 287459901d30ffd53d1d22450072fc5a1e93a7b6
Author: Victor Toso <me@victortoso.com>
Date:   Thu Sep 24 11:21:20 2015 +0200

    build: fix build due syntax error
    
    commit 2a73d7deaad9fbdebf3441d72b aims to fix missing dependencies but
    introduced syntax error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755516

 configure.ac | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 987c935176acc832a6825bb5d692dbc7c0c80e7c
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Tue Sep 22 13:54:20 2015 -0400

    pls: annotate that filter_func can be NULL
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755433

 libs/pls/grl-pls.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2afeb34d3ae4a5bcbb649ba48c8b2514e17f56d9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 12:59:43 2015 +0200

    tests: Remove GLIB_CHECK_VERSION check for unsupported version

 tests/registry.c | 4 ----
 1 file changed, 4 deletions(-)

commit 0a3f0564f5406bc5b7e324632bc4ed79a8156ff6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 12:59:29 2015 +0200

    core: Remove GLIB_CHECK_VERSION check for unsupported version

 src/grilo.c | 4 ----
 1 file changed, 4 deletions(-)

commit a2580a2e31993356c2f2e4af0ba4152a31ecdc1b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 11:35:04 2015 +0200

    build: Fail when library dependencies are missing
    
    When --disable-grl-pls or --disable-grl-net is not passed, fail so that
    users know that those internal libraries are strongly recommended.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=755367

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit cec95c4c2fcad4af7f5af2e7d054151cb8125d14
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 11:34:22 2015 +0200

    net: Remove support for libsoup < 2.42
    
    Was released 2.5 years ago.

 configure.ac          |  7 +------
 libs/net/Makefile.am  |  5 -----
 libs/net/grl-net-wc.c | 25 ++-----------------------
 3 files changed, 3 insertions(+), 34 deletions(-)

commit 8b7116da6dca6f65cffc5dcbd980c7bfe7e21cec
Author: Милош Поповић <gpopac@gmail.com>
Date:   Wed Sep 23 08:38:25 2015 +0000

    Updated Serbian translation

 po/sr.po | 100 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 49 insertions(+), 51 deletions(-)

commit a1ca1cbfc4be514a38b5648b872521e1a32b7cd4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 22 17:37:10 2015 +0200

    build: Require a newer GLib version
    
    And always build the NetworkMonitor support for networked sources.

 configure.ac       |  7 +------
 src/grl-registry.c | 16 ----------------
 2 files changed, 1 insertion(+), 22 deletions(-)

commit fc9acbd99d394918964c6397f6b7a0c5ad9e382e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 25 19:17:03 2015 +0100

    core: Add a way to load builtin plugins
    
    Instead of requiring plugins to ship an xml description, and a separate
    .so shared library, allow applications to load plugins it implements
    itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747026

 doc/grilo/grilo-sections.txt |  1 +
 src/grl-registry.c           | 67 ++++++++++++++++++++++++++++++++++++++++++++
 src/grl-registry.h           |  4 +++
 3 files changed, 72 insertions(+)

commit c0176fbd6fedbdd053aba6906533445926267c3b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 11:34:44 2015 +0200

    core: Use correct word for 'duplicates'

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22384cf2cfb88947ce3a94858077e1419164fcfa
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Sep 20 17:25:39 2015 +0000

    Updated Danish translation

 po/da.po | 95 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 51 insertions(+), 44 deletions(-)

commit a8b75c72ec5824615f7193bec2ae23549ed0bfe4
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Sep 19 22:31:06 2015 +0000

    Updated Swedish translation

 po/sv.po | 101 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 54 insertions(+), 47 deletions(-)

commit ac9c7561e0a63fddbc5a376018144e71381fc511
Author: Bernd Homuth <dev@hmt.im>
Date:   Thu Sep 17 19:41:02 2015 +0000

    Updated German translation

 po/de.po | 101 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 55 insertions(+), 46 deletions(-)

commit 71a06d724dc4fb982f5218d80c0f3bd3b41c5a07
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Sep 17 18:03:45 2015 +0000

    Updated Turkish translation

 po/tr.po | 80 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 46 insertions(+), 34 deletions(-)

commit f873d3aa7e3b322f800d8e1c1be095f3520bbc5b
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 13 17:22:15 2015 +0200

    Updated Czech translation

 po/cs.po | 91 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 43 deletions(-)

commit d843656b2e290b5e848afa70fe8e1956e43bddd6
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sat Sep 12 13:45:57 2015 +0900

    Updated Korean translation

 po/ko.po | 99 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 52 insertions(+), 47 deletions(-)

commit 91a4b740710c2ed69cb274bb7eda544b5025ca55
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 8 23:26:01 2015 +0200

    Updated Slovenian translation

 po/sl.po | 96 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 46 deletions(-)

commit e4fbfcf2cb92ed48c21cb9c4505129bdc6c31c2c
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Sep 7 12:12:49 2015 +0000

    Updated French translation

 po/fr.po | 89 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 42 deletions(-)

commit ebda3a008bbb698feed2ba27f220b2e5aed38051
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 9 09:43:50 2015 +0000

    Post-release version bump to 0.2.15

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58aa4164bfba3f49e8d71bbb506eb7f27892a56e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 9 09:43:00 2015 +0000

    Release 0.2.14

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 1ce9506f1b3bf5a439eec69f94edc372a9605244
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 9 09:40:08 2015 +0000

    build: fix libgrilo soname bump version
    
    In previous release we did a soname bump that forces clients to be rebuild,
    when actually we don't break any ABI.
    
    This commit sets the correct soname version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee1ae6485cc56b9a3c9cafd7d8898e481756fde1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Sep 7 07:54:40 2015 +0000

    Post-release version bump to 0.2.14

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 971adb4fae5832b6a84e24037d55bbd203b25dc1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Sep 6 21:24:29 2015 +0000

    Release 0.2.13

 NEWS         | 45 +++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  6 +++---
 2 files changed, 48 insertions(+), 3 deletions(-)

commit ce982672f5f11dc50964c569aa2358ee016c6193
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Sep 4 22:33:50 2015 +0000

    Updated Greek translation

 po/el.po | 91 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 43 deletions(-)

commit 433359065ac675fd36ffa49cbfe50764499339cb
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:   Fri Sep 4 07:52:10 2015 +0000

    Updated Italian translation

 po/it.po | 101 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 54 insertions(+), 47 deletions(-)

commit 88e2073171948d311166dc0d807ea6f3c6c81342
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 3 20:46:35 2015 +0000

    Updated Indonesian translation

 po/id.po | 94 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 50 insertions(+), 44 deletions(-)

commit d6005bee6ce7e24898717d40db588b1a68759688
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Sep 2 20:58:44 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 96 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 46 deletions(-)

commit 61e73d5821ce2bd073b0bdfba65ad6da66bcd007
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Sep 2 18:52:38 2015 +0200

    Updated Spanish translation

 po/es.po | 94 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 50 insertions(+), 44 deletions(-)

commit 0b3a3b15ebda0ad6861cb9b28e240c69136c1936
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 2 13:54:12 2015 +0200

    build: Fix tests enablements
    
    Spotted by Michael Terry <michael.terry@canonical.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693450

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8de27edb615afddd481a3eb2c8fae05e8eb4d750
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 2 13:30:09 2015 +0200

    grilo-test-ui: Remove GtkStock usage

 tools/grilo-test-ui/main.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit a5fa7198aec19d98acaa5a6a9d6b54805d52d4f9
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Sep 2 06:57:58 2015 +0000

    Updated Portuguese translation

 po/pt.po | 94 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 50 insertions(+), 44 deletions(-)

commit 55bf44a7d35da28ce5bda22655024a2f258ce40d
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Tue Sep 1 21:56:05 2015 +0000

    Updated Hungarian translation

 po/hu.po | 98 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 53 insertions(+), 45 deletions(-)

commit 9c18e8561a2b4fd9481a0344add5cffc27190398
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Sep 1 15:27:41 2015 +0000

    Updated Slovak translation

 po/sk.po | 91 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 43 deletions(-)

commit 0535e319a549c96ffa7c956813fa4a03db41c808
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 28 15:26:56 2015 +0200

    grilo-test-ui: Fix warning about deprecated gtk-menu-images
    
    Menus don't use images in recent versions of GTK+:
    The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
    
    Remove the icons from the menu items.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754401

 tools/grilo-test-ui/main.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2187ceaf8a7ecc16a59d8c33c0700600cd62fa49
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 1 16:29:29 2015 +0200

    Updated Polish translation

 po/pl.po | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit 66957722d9a440776d8eb2b6f9802e9a2c743d6d
Author: Victor Toso <me@victortoso.com>
Date:   Fri May 1 23:36:32 2015 +0200

    grl-registry: allow register same metadata key
    
    In case the plugin wants to reregister a metadata-key we don't throw
    an error. Common situation for this is when application unload() and
    load() again a plugin with custom metadata keys.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748550

 src/grl-registry.c | 113 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit 7a33fde6948cafe89ce66399664735d32524b0b6
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Aug 30 20:03:40 2015 +0000

    grilo-test-ui: Renew Youtube Key
    
    The old key used for the Test UI application has expired, and a new one is
    required.

 tools/grilo-test-ui/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da04886a674880aeb24239ba712a2dca1cefb403
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Aug 26 13:08:59 2015 -0400

    registry: Use g_strv_contains()
    
    GNetworkConnectivity was added in glib 2.44, so was g_strv_contains().
    No need of a custom implementation here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754093

 src/grl-registry.c | 33 +++++++--------------------------
 1 file changed, 7 insertions(+), 26 deletions(-)

commit 1f37b00f6a05742074ff2f20bdeb56b69b8ef3dc
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Aug 26 13:16:12 2015 -0400

    registry: Fix plugin tests running with mocked network
    
    Unit tests from grilo-plugins sets GRL_NET_MOCKED env variable
    to mock network, so we shouldn't hide those plugins if the host
    has no internet connectivity. This can happen on build bots for
    example.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754093

 src/grl-registry.c | 40 ++++++++++++++++++++++++++--------------
 1 file changed, 26 insertions(+), 14 deletions(-)

commit 449b29fb8ff1510e5a1d6ca1d410eff3bc108f59
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Aug 26 12:47:57 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 6fd38f053b2c29b9cee558f2eb4ff64011f38421
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 25 18:44:31 2015 +0200

    Updated Polish translation

 po/pl.po | 108 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

commit af52aa57f579026e3a6d6b4b4a757522774abd19
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 30 16:45:15 2015 +0200

    source: Only replace source ID in notify if unset
    
    In other cases where grl_media_set_source() is used, it only sets the
    source of a media if it is the special root container media, or if the
    source was previously unset.
    
    This avoids sources being overwritten when sending change notifications
    when sending changes from an aggregating source (such as the one
    embedded in Totem).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747029

 src/grl-source.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit de50ad298b88bddabd6d5cc9c1f20f93731c1f7b
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sat Apr 25 17:28:15 2015 +0200

    core: Remove remaining references to GrlMetadataSource
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 doc/grilo/Makefile.am                |   1 -
 src/grl-metadata-source-priv.h       |  36 -------
 tests/Makefile.am                    |   4 -
 tests/metadata_source.c              | 180 -----------------------------------
 tests/python/Makefile.am             |   3 +-
 tests/python/test_metadata_source.py | 106 ---------------------
 6 files changed, 1 insertion(+), 329 deletions(-)

commit 851e3cf4c9b240b60941d9c72af0cb812a18c002
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sun Apr 26 18:14:58 2015 +0200

    core: Generate .gitgnore in libs/pls too
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 libs/pls/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 0486e1d76b7a524e3fbdd83a9cc2be6a8779bbe6
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sun Apr 26 18:14:08 2015 +0200

    core: Add a Makefile.am in src/data
    
    To have a gitignore generated there as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 configure.ac         | 1 +
 src/Makefile.am      | 2 ++
 src/data/Makefile.am | 1 +
 3 files changed, 4 insertions(+)

commit abd6970a82fb1e338dc93e35756cf07849eaa378
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sun Apr 26 18:12:44 2015 +0200

    tests: Disable python tests
    
    They fail for various reasons for now and we want make check to
    pass.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 tests/python/testrunner.py | 3 +++
 1 file changed, 3 insertions(+)

commit b45e74074304e09a4323cc21c631fa0028ce23c8
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sun Apr 26 17:59:04 2015 +0200

    tests: Fix loading plugins
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 tests/python/test_fs.py      | 5 ++++-
 tests/python/test_media.py   | 5 ++++-
 tests/python/test_options.py | 5 ++++-
 tests/python/test_plugin.py  | 2 +-
 4 files changed, 13 insertions(+), 4 deletions(-)

commit 888622339e1dffcb68959f00beb75166c4909fa5
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sun Apr 26 17:57:27 2015 +0200

    tests: Use GLib though introspection
    
    + And remove useless pygtk import.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 tests/python/test_fs.py    | 11 +++++------
 tests/python/testrunner.py |  2 --
 2 files changed, 5 insertions(+), 8 deletions(-)

commit 7ff6dd9a7ed55dff4083fa1f46657c2f96090b71
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sat Apr 25 17:29:04 2015 +0200

    tests: Make C tests run again
    
    GrlMediaPlugin is now GrlSource.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748455

 tests/registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f046b208417912c4d62d3600e4b0d074318e0422
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Tue May 19 18:25:00 2015 +0200

    introspection: Install to the correct places
    
    make distcheck was failing on my end, because it sets a prefix
    which has to be taken into account, this fixes that issue
    as shown in the example in:
    
    /usr/share/gobject-introspection-1.0/Makefile.introspection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749587

 libs/net/Makefile.am | 4 ++--
 libs/pls/Makefile.am | 4 ++--
 src/Makefile.am      | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 7e87137e3241047d40d4e93355ede27d33d0f7f8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 2 12:33:20 2015 +0200

    source: Add "net:plaintext" source tag doc
    
    This will make it easier for applications to avoid using plaintext
    channels, such as HTTP-only connections, when doing requests.
    
    Adding a tag allows applications to avoid hard-coding sources which
    might leak private information.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747953

 src/grl-source.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4391c96cd9bd81b5c2d7fca68af9ed10802e97b6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 26 12:46:01 2015 +0200

    grilo-test-ui: Fix possible uninitialised use
    
    From coverity:
    grilo-0.2.12/tools/grilo-test-ui/main.c:776:20: warning: 'next_op_id' may be used uninitialized in this function [-Wmaybe-uninitialized]
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749887

 tools/grilo-test-ui/main.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f8e9945ef52023a9ee0c97413d515ba51ee8ef2e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 26 12:43:38 2015 +0200

    examples: Don't use options uninitialised
    
    From coverity:
    grilo-0.2.12/examples/browsing-pls.c:119: uninit_use_in_call: Using uninitialized value "options" when calling "g_object_unref".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749887

 examples/browsing-pls.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 532b3083eb5aa18ac276a140324f43fa444a8d2f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 26 12:41:58 2015 +0200

    pls: Avoid NULL dereference
    
    From coverity:
    libs/pls/grl-pls.c:624: var_deref_op: Dereferencing null pointer "valid_entries".
    
    valid_entries can be NULL, so check its value before using it in the
    debug output.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749887

 libs/pls/grl-pls.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f36606d173c8389f9c1f03990029ec32f61575ac
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Jul 1 22:00:29 2015 +0000

    Updated Portuguese translation

 po/pt.po | 76 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 37 deletions(-)

commit 179e6c3906ff5aa860aa38debce8dce79ac94b0a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon May 4 15:21:35 2015 +0100

    src: Try all GrlSources in grl_multiple_get_media_from_uri()
    
    Previously, grl_multiple_get_media_from_uri() would stop as soon as
    a source returned TRUE for grl_source_test_media_from_uri() but then
    returned a NULL GrlMedia in its grl_source_get_media_from_uri()
    callback.
    
    That’s probably not what the user wanted, so instead continue to
    asynchronously try the remaining GrlSources until a GrlMedia is returned
    or the end of the sources list is reached.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748896

 src/grl-multiple.c | 92 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 51 insertions(+), 41 deletions(-)

commit 0a19c612e3b312efafff93879482aefc336d09c6
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Wed May 27 16:43:51 2015 +0000

    Added Occitan translation

 po/LINGUAS |   1 +
 po/oc.po   | 196 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 197 insertions(+)

commit 7d981c4f55b975db6aff0e592802d7cf0c1698a5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon May 4 09:17:47 2015 +0100

    src: Expand documentation for GrlSourceResolveCb
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748873

 src/grl-source.h | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit e9fc0cfd413ed4dadada1673227f194755900d71
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon May 4 09:15:33 2015 +0100

    src: Add preconditions to all methods in grl-media.c
    
    Otherwise it’s very easy to get a NULL GrlMedia in a GrlSourceResolveCb
    callback and start calling methods on it which will happily produce
    garbage.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748873

 src/data/grl-media.c | 129 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 128 insertions(+), 1 deletion(-)

commit 4c02c33218fe54ef6ba34b4852fca32a21d7483a
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Mar 4 17:56:32 2015 +0300

    core: Add GRL_CORE_ERROR_AUTHENTICATION_TOKEN
    
    Add an error type for problems with authentication tokens
    that require user attention, such as a VK oauth token that
    requires re-login.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744238

 src/grl-error.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit eca9fb193d8f22b99b76f84f6171fd46e308738c
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Wed Apr 15 18:13:57 2015 +0200

    doc: add grl_operation_options_[set|get]_resolution_flags to
    
    the sections.

 doc/grilo/grilo-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 47f8ac3212ca114ab686129887c19625e6a3f343
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Apr 3 19:53:52 2015 +0300

    Updated Latvian translation

 po/lv.po | 681 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 566 insertions(+), 115 deletions(-)

commit a520247a16fec863ea04ac839fd9aa9105ebd481
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 21:01:32 2015 +0000

    Added Bosnian translation

 po/LINGUAS |   1 +
 po/bs.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit ee8d5558bf5d5a2b07e88afe7928df79b36f45da
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 5 14:15:08 2015 +0100

    core: Fix warning when unloading a plugin that failed to load
    
    This warning is normal:
    (totem:17205): Grilo-WARNING **: [registry] grl-registry.c:1130: Failed to open module: libicui18n.so.52: cannot open shared object file: No such file or directory
    
    This one isn't:
    (totem:8432): GModule-CRITICAL **: g_module_close: assertion 'module != NULL' failed
    
    This patch fixes the latter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745676

 src/grl-registry.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 2e14259e4973a403cd1e7afb4ee42ec8cea12180
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 17 18:33:38 2015 +0000

    Post-release version bump to 0.2.13

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06a224c1fd71af769b56a825791422e42c3a9523
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 17 18:32:05 2015 +0000

    Release 0.2.12

 NEWS                       | 66 ++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac               |  6 ++---
 src/data/grl-media-audio.c | 15 +++++++++++
 src/data/grl-media-video.c |  4 +--
 4 files changed, 86 insertions(+), 5 deletions(-)

commit 0aaa3264f652e28ec5d54d0989a9e46a7a261059
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 17 17:56:36 2015 +0100

    build: Default to building .tar.xz tarballs

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00f1f93eeabf89fd94014061060b77d700cfe84f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 17 13:39:12 2015 +0100

    pls: Support older versions of totem-pl-parser
    
    But no need to recompile grilo to support newer versions.

 libs/pls/grl-pls.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 50ff107e98481cf44b540323d851ce2115146b21
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 8 16:11:41 2015 +0100

    pls: Export the "audio-track" playlist attribute
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744168

 libs/pls/grl-pls.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 47835b939d5cccc96e7d0f9bfaca954bdf719961
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 8 15:41:41 2015 +0100

    core: Add "audio-track" property
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744168

 bindings/vala/grilo-0.2-custom.vala |  2 ++
 src/grl-metadata-key.c              | 13 +++++++++++++
 src/grl-metadata-key.h              |  1 +
 3 files changed, 16 insertions(+)

commit 3ba699dd90ed5b99d77c444c134324e1f917d2ea
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 16:33:12 2014 +0200

    core: Fix possible crash when passing NULL options
    
    grl_operation_options_get_resolution_flags() shouldn't
    crash when the options passed are NULL.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724308

 src/grl-operation-options.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit c65c68bd8aa302869782e12a6be93494c5909fc1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 13 08:39:52 2014 +0200

    core: Rename GrlOperationOptions "flags" to "resolution-flags"
    
    And add the associated functions as well. Deprecate the old
    functions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724308

 examples/browsing-pls.c                  |  2 +-
 examples/browsing.c                      |  2 +-
 examples/efficient-metadata-resolution.c |  4 +--
 examples/multivalues.c                   |  2 +-
 examples/searching.c                     |  2 +-
 libs/pls/grl-pls.c                       |  4 +--
 src/grl-caps.c                           |  2 +-
 src/grl-operation-options-priv.h         |  2 +-
 src/grl-operation-options.c              | 54 ++++++++++++++++++++++++++------
 src/grl-operation-options.h              |  7 +++++
 src/grl-source.c                         | 34 ++++++++++----------
 tools/grilo-launch/grl-launch.c          |  8 ++---
 tools/grilo-test-ui/main.c               |  4 +--
 13 files changed, 85 insertions(+), 42 deletions(-)

commit 6329e1be0d3e585ccbdf5d6fbf416c15ce6f93f4
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Thu Feb 12 17:43:51 2015 +0100

    core: Fix memory leak in get_additional_sources
    
    missing_in_data creates a new list which was not being freed by
    get_additional_sources.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744408

 src/grl-source.c | 1 +
 1 file changed, 1 insertion(+)

commit dcb7405b622c5fe1b31b596435255034b6bbf69c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 22 15:15:24 2015 +0100

    core: Make grl_init_get_option_group() available to bindings
    
    Now that it's registered as a boxed type.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=743349
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743351

 src/grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 48fa64f445a745e148a2065c8f3d473ef0932366
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 22 16:07:50 2015 +0100

    core: Fix grl_init() when using the GOptionGroup instead
    
    Using the GOptionGroup instead of grl_init() should still make sure
    to setup all the necessary plugin paths, etc. Move most of the code
    from grl_init() to pre- and post-parse GOptionGroup hooks.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743353

 src/grilo.c | 80 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 50 insertions(+), 30 deletions(-)

commit fcf23a97ea6d8232643d0f5d4adf22d188307c5f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jan 29 17:20:15 2015 +0000

    core: Check if source is valid
    
    Before checking if source is visible, check if it is a valid source.

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76eafa8194c4563190cbfe6cd058c02576e8c7f4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jan 29 14:40:15 2015 +0000

    build: fix distcheck for Vala
    
    Metadata file has changed, and we also need to clean vapi files.

 bindings/vala/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d24cdcfb1dc221d4b3efe5e7c5a75d2212058d37
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 16 17:32:23 2014 +0100

    core: Make the property name match the metadata key name
    
    GRL_METADATA_KEY_PUBLICATION_DATE should really correspond to
    "publication-date" not "publishing-date".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741605

 src/grl-metadata-key.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6da7929afcc0a49cb298d9a1e5bc68f5b36406a7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 15:15:19 2014 +0100

    core: Add tag to grl_operation_options_get_key_range_filter
    
    Add "transfer none" to the out parameters of
    grl_operation_options_get_key_range_filter().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741020

 src/grl-operation-options.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a4fac2b310750e42435fc527e9bbe936d7be8f23
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 1 01:02:18 2014 +0100

    core: Add register_keys plugin function
    
    This allows for custom metadata keys to be registered before the
    plugins, or even the sources, are loaded.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740943

 src/grl-plugin-priv.h |   5 +++
 src/grl-plugin.c      |  38 ++++++++++++++++++
 src/grl-registry.c    | 104 +++++++++++++++++++++++++++++++++-----------------
 src/grl-registry.h    |  33 +++++++++++++---
 4 files changed, 140 insertions(+), 40 deletions(-)

commit 7a7ccfc43d558e5b6f425498fd8be9d2664eabd0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 22 13:24:14 2015 +0100

    build: Add vapigen.m4 file
    
    To avoid errors during autogen.sh if vala is not present on the
    system.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742645

 m4/vapigen.m4 | 101 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 101 insertions(+)

commit e8f99d98a58f001984d5f01a6c7395592bff4cf9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 21 23:54:45 2015 +0100

    core: Fix annotation of grl_init() to fix vala bindings
    
    Trying to pass args (argc/argv) to grl.init() failed in vala with the error:
    error: Argument 1: Cannot pass unowned ref argument to owned reference parameter
            Grl.init (ref args);
                      ^^^^^^^^
    
    We need to mark the argv as "transfer none" to have it match the
    type of args, as done in other GObject libraries with vala bindings.

 src/grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78d4690dabd4fe1822ab8d610a76faa385d2e3e3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 21 23:47:10 2015 +0100

    vala: Add some missing definitions
    
    GRL_SOURCE_REMAINING_UNKNOWN and GRL_METADATA_KEY_CHILDCOUNT_UNKNOWN
    weren't available from vala programs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730663

 bindings/vala/grilo-0.2-custom.vala | 6 ++++++
 1 file changed, 6 insertions(+)

commit f48941d8e38cace3f709c78a2609c30d2693d998
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 21 23:36:11 2015 +0100

    build: Require vala 0.27
    
    The current git master version, as grilo refuses to build with
    anything older. We'll switch to 0.28 when it's out.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e0e30dfa0ea5d9e4814b2cdb1236abfa74289076
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Dec 11 00:34:49 2014 +0100

    Revert "core: Allow removing metadata keys in GrlData"
    
    This reverts commit 32275f8daace57eaea1899ad534244091e05e0a9.
    
    This patch broke adding empty strings as related keys, as the
    lastfm-albumart plugin tests showed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 src/data/grl-data.c         |  6 ++++--
 src/data/grl-related-keys.c | 12 +++++-------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit bfb7078a56786b1b708aac8075e36d4f03bb54c2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 10 16:04:57 2014 +0100

    core: Don't require a newer GIO for network awareness
    
    As a separate commit, because it will make it easier to revert
    once we're ready to bump the GLib/GIO dependencies.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725148

 configure.ac       |  5 +++++
 src/grl-registry.c | 19 +++++++++++++++++++
 2 files changed, 24 insertions(+)

commit f30dccc9cdc732f3b4e84b68eae1ad68613e1b9b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Dec 4 22:42:52 2014 +0100

    core: Make sources network aware
    
    If a source says that it requires the local network, or access to
    the Internet to work properly, automatically hide it when the network
    becomes unavailable, and show it when the network comes back on again.
    
    This is implemented using GNetworkManager's connectivity property.
    See https://bugzilla.gnome.org/show_bug.cgi?id=664562
    
    Sources only need to set the "net:local" or "net:internet" tags to
    be shown/hidden from applications depending on the network status.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725148

 src/grl-registry.c | 177 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/grl-source.c   |   6 ++
 2 files changed, 178 insertions(+), 5 deletions(-)

commit 8a583607a59395958169dbd2230ab39b90d59e81
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Wed Dec 10 00:39:35 2014 +0100

    build-sys: fix out-of-tree build of vapi
    
    Reference custom file by path.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741315

 bindings/vala/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c760d284acad86bb6f60af711af7d079052832f7
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Tue Dec 9 08:03:25 2014 +0100

    build-sys: fix gio-2.0 gir bindings errors
    
    Use vala gio-2.0 definition to avoid the gir error:
    
    Gio-2.0.gir:79247.7-79251.24: error: `UnixSocketAddress' already
    contains a definition for `abstract'
    Gio-2.0.gir:79093.7-79095.21: note: previous definition of `abstract'
    was here
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741315

 bindings/vala/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 930ddb4c1dc7992e70ea91f388c4b576616c6a93
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 10 14:21:51 2014 +0100

    core: Fix API documentation bugs
    
    data/grl-media-audio.c:180: Warning: Grl: grl_media_audio_set_mb_recording_id: unknown parameter 'mb_track_id' in documentation comment, should be 'mb_recording_id'
    data/grl-media-video.c:182: Warning: Grl: grl_media_video_set_episode_title: unknown parameter 'show' in documentation comment, should be 'episode_title'

 src/data/grl-media-audio.c | 2 +-
 src/data/grl-media-video.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 32275f8daace57eaea1899ad534244091e05e0a9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 8 17:49:02 2014 +0100

    core: Allow removing metadata keys in GrlData
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 src/data/grl-data.c         |  6 ++----
 src/data/grl-related-keys.c | 12 +++++++-----
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 6af34f0fb9ab57eea1446a63740dd5b33afbc44d
Author: Victor Toso <me@victortoso.com>
Date:   Tue Dec 9 19:32:04 2014 +0100

    core: add GRL_METADATA_KEY_EPISODE_TITLE
    
    Title of show's episode.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 bindings/vala/grilo-0.2-custom.vala |  2 ++
 doc/grilo/grilo-sections.txt        |  3 +++
 src/data/grl-media-video.c          | 36 ++++++++++++++++++++++++++++++++++++
 src/data/grl-media-video.h          |  4 ++++
 src/grl-metadata-key.c              | 10 ++++++++++
 src/grl-metadata-key.h              |  1 +
 6 files changed, 56 insertions(+)

commit 5c1eb9e5340cbfe57fc63cc0cdf882f9e4850c9e
Author: Victor Toso <me@victortoso.com>
Date:   Sat Nov 29 18:19:36 2014 +0100

    core: add GRL_METADATA_KEY_MB_RECORDING_ID
    
    MusicBrainz recording identifier. From its documentation:
    A recording is an entity in MusicBrainz which can be linked to tracks
    on releases. Each track must always be associated with a single
    recording, but a recording can be linked to any number of tracks.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741230

 bindings/vala/grilo-0.2-custom.vala |  2 ++
 doc/grilo/grilo-sections.txt        |  3 +++
 src/data/grl-media-audio.c          | 29 +++++++++++++++++++++++++++++
 src/data/grl-media-audio.h          |  4 ++++
 src/grl-metadata-key.c              |  9 +++++++++
 src/grl-metadata-key.h              |  1 +
 6 files changed, 48 insertions(+)

commit ba54248110c94de219c4d21f5b31a84ecbe08d64
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Dec 4 09:32:15 2014 +0000

    Updated Turkish translation

 po/tr.po | 55 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 28 insertions(+), 27 deletions(-)

commit d4ed03666cbac31ee393ae7a4709572611b3a38d
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Thu Dec 4 02:01:38 2014 +0800

    Fix "non-void function should return a value" for clang
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741081

 src/data/grl-media-audio.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3a2c277d9d2af9b5aaedbf94f6481ba98ccff3b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Nov 30 18:58:46 2014 +0100

    core: Fix excessive ref'ing when registering new keys
    
    When registering new metadata keys, there's no need to take a new
    reference to the GParamSpec passed, as the usual construct is to
    call g_param_spec_new_... in the call to
    grl_registry_register_metadata_key(), leaking the original reference
    to the GParamSpec when grilo it de-inited.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740942

 src/grl-registry.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 689bf702cb3d264cca9b1a689d6237f611ad3407
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Sat Nov 15 19:36:47 2014 +0100

    vala: modernize bindings generation
    
    Use GIR and modern autotools helpers.  This binding allows to build
    simple plugin, it hasn't been tested for applications.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 bindings/Makefile.am                             |  6 +-
 bindings/vala/Grl-0.2.metadata                   | 15 +++++
 bindings/vala/GrlNet-0.2.metadata                |  3 +
 bindings/vala/Makefile.am                        | 83 +++++-------------------
 bindings/vala/grilo-0.2-custom.vala              | 17 +----
 bindings/vala/grilo-0.2.metadata                 | 58 -----------------
 bindings/vala/grilo-net-0.2.metadata             |  6 --
 bindings/vala/grilo-net-uninstalled.files.in     |  2 -
 bindings/vala/grilo-net-uninstalled.namespace.in |  1 -
 bindings/vala/grilo-uninstalled.defines          |  1 -
 bindings/vala/grilo-uninstalled.files.in         | 13 ----
 bindings/vala/grilo-uninstalled.namespace.in     |  1 -
 configure.ac                                     | 49 ++------------
 13 files changed, 44 insertions(+), 211 deletions(-)

commit 2fa07bd6d6d6b4f918d15cbe563bcf2fd29b5f94
Author: Victor Toso <me@victortoso.com>
Date:   Sun Aug 17 16:00:09 2014 -0300

    core: add GRL_METADATA_KEY_MB_ARTIST_ID
    
    MusicBrainz artist identifier.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732878

 bindings/vala/grilo-0.2-custom.vala |  2 ++
 doc/grilo/grilo-sections.txt        |  5 +++
 src/data/grl-media-audio.c          | 70 +++++++++++++++++++++++++++++++++++++
 src/data/grl-media-audio.h          |  8 +++++
 src/grl-metadata-key.c              | 12 +++++++
 src/grl-metadata-key.h              |  1 +
 6 files changed, 98 insertions(+)

commit 9cee9ffd2de288ef3081c01a10344f309174953e
Author: Victor Toso <me@victortoso.com>
Date:   Mon Jul 7 01:13:41 2014 -0300

    core: add GRL_METADATA_KEY_MB_TRACK_ID
    
    MusicBrainz track identifier.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732878

 bindings/vala/grilo-0.2-custom.vala |  2 ++
 doc/grilo/grilo-sections.txt        |  3 +++
 src/data/grl-media-audio.c          | 28 ++++++++++++++++++++++++++++
 src/data/grl-media-audio.h          |  4 ++++
 src/grl-metadata-key.c              |  9 +++++++++
 src/grl-metadata-key.h              |  1 +
 6 files changed, 47 insertions(+)

commit 2e45b89392a44bf4baada62b28fbcf4a8cac802d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 26 16:26:50 2014 +0100

    core: Correct value type for file sizes
    
    An int is obviously too small a value to fit a filesize in bytes, with
    its maximum at 2GB. Use an int64 instead.
    
    Note, this breaks ABI but should not break API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740761

 src/data/grl-media.c   | 12 ++++++------
 src/data/grl-media.h   |  4 ++--
 src/grl-metadata-key.c | 12 ++++++------
 3 files changed, 14 insertions(+), 14 deletions(-)

commit 6b26ee202958c33968c6af76b08358ae50c21a14
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 26 16:26:27 2014 +0100

    core: Add support for int64 values
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740761

 src/data/grl-data.c         | 79 +++++++++++++++++++++++++++++++++++++++++++++
 src/data/grl-data.h         |  6 ++++
 src/data/grl-related-keys.c | 52 +++++++++++++++++++++++++++++
 src/data/grl-related-keys.h |  7 ++++
 4 files changed, 144 insertions(+)

commit a7cf2bd82c88d7f10213b05128e933afaf7b75d4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Nov 18 18:49:56 2014 +0000

    net: Check object before increasing refcount
    
    Check if object is non-NULL before increasing its reference count.
    
    Fixes e823b8fe63846a9c60ebd59a8bf07e9c602a8528.

 libs/net/grl-net-wc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9621ecdf2326d60145a92c601922d305f8992544
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Mon Nov 17 12:03:24 2014 +0100

    core: annotate ownership transfer of grl_registry_register_source()
    
    Do as the comment in the function says, "Take ownership of the source".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f94a93937d1c56e82a14493fcceb3672dbf10362
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Mon Nov 17 12:00:40 2014 +0100

    net: add GIR annotations for grl_net_wc_request_finish()
    
    Annotate out arguments and the memory ownership.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 libs/net/grl-net-wc.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 49bf27d4deb8c1ed17995e7d9027875aebba04aa
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Mon Nov 17 12:15:45 2014 +0100

    core: annotate nullable error in callbacks
    
    Since those arguments are optional error given to callbacks, annotate
    them as nullable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 src/grl-source.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f37636f241b514fe323e9640ee1ff907222724e8
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Mon Nov 17 11:58:32 2014 +0100

    core: remove wrong (type uint) annotations for errors
    
    For some reason, those annotations where added since daebdc455.
    Today GIR seems to deal with callbacks errors fine, so let's remove it
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 src/grl-source.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9ad556169669bf1c39f647ea24ea1f8b47a2242b
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Mon Nov 17 11:53:33 2014 +0100

    net: define C include for GIR
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 libs/net/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 590aa8677de9ffdab6591d9a8615de281c91d2d3
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Mon Nov 17 11:52:50 2014 +0100

    core: define C include for GIR
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit e823b8fe63846a9c60ebd59a8bf07e9c602a8528
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Sat Nov 15 19:35:10 2014 +0100

    net: avoid request_async() crash on cancellable unref
    
    The caller may unref the cancellable, keep a reference on cancellable to
    avoid potential crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740186

 libs/net/grl-net-wc.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d1350ee3afabc59cf5bd3cfc351146b608c39579
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Fri Nov 14 17:58:49 2014 +0100

    Add missing GRL_OP_STORE to supported ops
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740128

 src/grl-source.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5b865c87998a40ea3305af00eaa26fa458ac7ec3
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Fri Nov 14 12:45:03 2014 +0100

    Fix compilation warning
    
    data/grl-related-keys.c: In function 'grl_related_keys_get_boolean':
    data/grl-related-keys.c:474:419: warning: return makes integer from
    pointer without a cast [enabled by default]
       g_return_val_if_fail (GRL_IS_RELATED_KEYS (relkeys), NULL);
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740113

 src/data/grl-related-keys.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f44b68f5348e66cc9b80a7a71311fc5406eaf167
Author: Adrião Morão <amoran@igalia.com>
Date:   Tue Oct 21 11:03:23 2014 +0200

    grilo-test-ui: Changed URLs in order to use HTTPS
    
    Flickr changed its API to force TLS on requests against the API and using OAuth

 tools/grilo-test-ui/flickr-oauth.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a2f3ef6db36bd959f67ae6195c31af30a4b24047
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 21 09:54:18 2014 -0500

    update Punjabi Translation for 3.14 release

 po/pa.po | 4018 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 1717 insertions(+), 2301 deletions(-)

commit afe4edfd8633dedaa9aa443566e0c0d3f2f24dd0
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Sep 13 11:13:17 2014 +0000

    Updated Swedish translation

 po/sv.po | 64 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit ae973eb04c5618ee2f668bda77e4426382cbf336
Author: Alberto Garcia <berto@igalia.com>
Date:   Tue Aug 26 14:16:54 2014 +0300

    doc: Rename grl-inspect.1 to grl-inspect-0.2.1

 Makefile.am       |  2 +-
 grl-inspect-0.2.1 | 58 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 grl-inspect.1     | 58 -------------------------------------------------------
 3 files changed, 59 insertions(+), 59 deletions(-)

commit 8fa8e53ff8673cc9a2ee3bcfb79340913bab3ab2
Author: Alberto Garcia <berto@igalia.com>
Date:   Tue Aug 26 14:14:37 2014 +0300

    doc: Add manpage for grl-launch

 Makefile.am      |  2 +-
 grl-launch-0.2.1 | 90 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+), 1 deletion(-)

commit 8ecf10716c9a4b2eeb9d58df0b507745992abaea
Author: Alberto Garcia <berto@igalia.com>
Date:   Tue Aug 26 13:59:02 2014 +0300

    doc: Add manpage for grilo-test-ui
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/Makefile.am         |  2 ++
 tools/grilo-test-ui/grilo-test-ui-0.2.1 | 41 +++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

commit 3aa0700dded6800cf9a538a8b492a5a9ba71be70
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Aug 24 15:47:10 2014 +0000

    Post-release version bump to 0.2.12

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b49eb5d5bf4cf0aae364945ff7b85a58fd657a0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Aug 24 15:38:03 2014 +0000

    Release 0.2.11

 NEWS                       | 43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac               | 10 +++++-----
 src/data/grl-media-audio.c |  4 ++++
 3 files changed, 52 insertions(+), 5 deletions(-)

commit 155fcf3bef62cd3ae98b5a35ab5d290d5a86e22b
Author: Victor Toso <me@victortoso.com>
Date:   Mon Jul 7 01:01:17 2014 -0300

    fix: vala bindings use tabs instead of spaces
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732878

 bindings/vala/grilo-0.2-custom.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 56b575aaffbfa491da9d2aaff27391b0060404aa
Author: MarMav <mavridou@gmail.com>
Date:   Wed Aug 13 12:01:09 2014 +0000

    Updated Greek translation

 po/el.po | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 26ea24d9d31ca4069185d38b07ace35bc5afdb59
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Aug 5 09:04:08 2014 +0000

    build: remove "INCLUDES" from Makefile.am
    
    Deprecated option.

 tools/grilo-inspect/Makefile.am | 3 +--
 tools/grilo-launch/Makefile.am  | 3 +--
 tools/grilo-test-ui/Makefile.am | 5 ++---
 3 files changed, 4 insertions(+), 7 deletions(-)

commit a2d576dc306f3cb1a0fb6b383c62652f8d0d00e9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Aug 5 08:35:25 2014 +0000

    build: add "subdir-objects" option in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 543161a25b0809f74032627bec0e8d3d478405f9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 19:26:42 2014 +0200

    doap: add <programming-language>

 grilo.doap | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1f95cb5a2273cc0eea9af8cf6c1b45d897ee154b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jul 30 19:56:14 2014 +0000

    grl-inspect: Add media_from_uri
    
    Show if the source supports media_from_uri operation.

 tools/grilo-inspect/grl-inspect.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9cbfb0a3f5eb88ed99a345cab3a06e11673031a6
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jul 30 19:13:44 2014 +0000

    core: Append source ID in media_from_uri operation
    
    If the source resolving the URI does not add the source-id, let's do it in the
    core instead.
    
    We always want the media coming with the source-id.

 src/grl-source.c | 5 +++++
 1 file changed, 5 insertions(+)

commit aba1bb4fcd3fd3570de0f7cad630a5fab6ae463d
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jul 30 19:10:52 2014 +0000

    grl-launch: Add media_from_uri operation
    
    Given an URI and a source, it builds the GrlMedia that contains that URI in the source.

 tools/grilo-launch/grl-launch.c | 52 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit 915d5bd898a0833d6fdbe151e83d03f9c6184cfa
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jul 28 09:41:41 2014 +0000

    grl-launch: Add test_media_from_uri operation

 tools/grilo-launch/grl-launch.c | 50 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 49 insertions(+), 1 deletion(-)

commit 1cf4129c8d667d65e0493986b0286f1c5c4f36d7
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:17:04 2014 +0200

    doap category core

 grilo.doap | 1 +
 1 file changed, 1 insertion(+)

commit ce2f0d38b73b685ad9c6ab9635a2c625335fabe1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 17 11:04:37 2014 +0200

    core: Make it possible to init() after a deinit()
    
    Reinitialise grl_initialized when calling grl_deinit(). This makes
    it possible to reload plugins again after they've been disabled.
    
    Spotted by vrishab <vrishab.in@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733285

 src/grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit a1f85561a662a70924b41d4b82eb499ccd7f9b5b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 16 17:24:15 2014 +0200

    net: Fix double-free using the Jamendo plugin
    
    The item in the queue is already freed when the source is removed,
    through a destroy notify, so no need to do it twice.
    
    Ensure we cancel the cancellable though, but do not unref it as we do
    not own it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733232

 libs/net/grl-net-wc.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 665081a94589f18e60794936565b1fa320d00aaf
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Jul 10 17:22:39 2014 +0000

    Updated Turkish translation

 po/tr.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 06e12432faa3b3a514635f5bb045b5286ecb9a3b
Author: Victor Toso <me@victortoso.com>
Date:   Mon Jun 23 02:34:24 2014 -0300

    test-ui: Include api-key for The TVDB source
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672933

 tools/grilo-test-ui/main.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 1e35ceba8eee1f908a69fbe8442a0c22066c447a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jun 24 18:29:35 2014 +0200

    travis: add zlib1g-dev dependency

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf4763469a6dd9c19b8cd3710cb8e0dfb8125ea6
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jun 24 16:27:40 2014 +0200

    travis: Update to Ubuntu Trusty
    
    We require quite new dependencies that are not easy to back-port to
    Ubuntu Precise, the default version that Travis CI uses.

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit 4111b239351c50c510f7a388fc82f6963c0e1f52
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Tue Jun 24 08:51:33 2014 +0000

    Added Turkish translation

 po/LINGUAS |   1 +
 po/tr.po   | 190 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 191 insertions(+)

commit ec35e862057a1aa686be4d6addf91ae4b5cc3568
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jun 5 17:49:42 2014 +0000

    core: add GRL_METADATA_KEY_MB_ALBUM_ID
    
    MusicBrainz album identifier.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731282

 bindings/vala/grilo-0.2-custom.vala |  2 ++
 doc/grilo/grilo-sections.txt        |  3 +++
 src/data/grl-media-audio.c          | 27 +++++++++++++++++++++++++++
 src/data/grl-media-audio.h          |  4 ++++
 src/grl-metadata-key.c              |  9 +++++++++
 src/grl-metadata-key.h              |  1 +
 6 files changed, 46 insertions(+)

commit 8317937ec3032ea983d5699ec2ce7aa71375d259
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu May 22 00:09:50 2014 +0200

    bindings: add Vala binding for GRL_METADATA_KEY_INVALID
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730548

 bindings/vala/grilo-0.2-custom.vala | 2 ++
 1 file changed, 2 insertions(+)

commit f8e6a3d094db069e62e812253fadefc2a33ea13f
Author: Andres Gomez <agomez@igalia.com>
Date:   Wed Jun 4 16:46:23 2014 +0300

    core: Stupi typo in comments

 src/data/grl-media.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c22ed430d8a94e50bb70199216c13a301689127
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 16:45:08 2014 +0200

    core: Fix typo in remove vfunc declaration

 src/grl-source.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37e40deab108bffc58c80627ff9f76ef2b73b7cb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 13 00:51:26 2014 +0200

    test-ui: Don't remove items from the view when remove fails
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724308

 tools/grilo-test-ui/main.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4e576eec6bc8c1d8a5a366ca371abf3989a116f8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon May 12 13:11:38 2014 +0200

    core: Fix reference to renamed functions
    
    GrlMetadataSource doesn't exist any more.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730003

 src/grl-caps.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1a4261204e293b9832f048dd9b4df24ba8390bfb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 7 18:10:45 2014 +0200

    net: Do guard check after variable declaration
    
    C89.

 libs/net/grl-net-wc.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 373058acdc05ebf33cc35ea8c0adaecf8fae6db0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu May 1 18:09:24 2014 +0000

    grl-launch: Add monitor operation
    
    Allows to monitor changes in sources.

 tools/grilo-launch/grl-launch.c | 97 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 95 insertions(+), 2 deletions(-)

commit b4c19cc049108ece063bc4a49c33ac460d3df71d
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 28 06:41:25 2014 +0000

    grl-inspect: Print source tags

 tools/grilo-inspect/grl-inspect.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 5c3f284c42ad2cc276de6486ddc772befade6dba
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Apr 24 18:38:57 2014 +0200

    doc: Remove setup-plugins-env.sh reference
    
    We are no longer supporting this script, so it must be removed from the
    documentation.

 README                          | 12 ++---------
 doc/grilo/environment-setup.xml | 45 -----------------------------------------
 2 files changed, 2 insertions(+), 55 deletions(-)

commit cbcff20724134e95272a4f59fd1618eeda231703
Merge: e66054e 3517b54
Author: Juan A. Suarez <jasuarez@igalia.com>
Date:   Thu Apr 24 18:26:46 2014 +0200

    Merge pull request #2 from flasheater/patch-2
    
    Update README

commit e66054ecdc810c157a35eae4915361aa0b147aa8
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Apr 23 15:38:53 2014 -0400

    grl_pls_browse: Document that it can take NULL filter func
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728812

 libs/pls/grl-pls.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0a33601db466b167a8d732e00b172eeea53a5f9e
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Apr 23 15:34:29 2014 -0400

    GrlPlsFilterFunc: Document how the refcounting works
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728812

 libs/pls/grl-pls.h | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 7757b3283c3020197bbbe83c362b2abf04b0c483
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Apr 23 15:19:19 2014 -0400

    Doc: fix some unused/undeclared symbols
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728812

 doc/grilo/grilo-sections.txt | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 3517b5410e3a43d4f16bff576aab67b31dd2dd12
Author: Oliver Krylow <okrylow@gmail.com>
Date:   Sat Apr 19 20:39:55 2014 +0200

    Update README
    
    fixed typo

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c5e804d8392d3f5e4458570b4229e8c50293ba2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 28 18:07:03 2014 +0100

    net: Avoid creating multiple caches
    
    Call grl_net_wc_set_cache(wc, TRUE) 4 times, your SoupSession
    will end up with 4 caches. Not what we want.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724907

 libs/net/grl-net-wc.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f9548f67028a9b2d9cb0ba28684f5a15181fe74a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Apr 6 17:55:48 2014 +0000

    grl-launch: Do not leak keys

 tools/grilo-launch/grl-launch.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 2f24e6271f5e92e66386f41d2ea862bee1e195d8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 4 20:30:09 2014 +0200

    doap: update URLs

 grilo.doap | 4 ++++
 1 file changed, 4 insertions(+)

commit 73425c5582ea3284a64edb55910a9c7a5e4a3f44
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Apr 4 17:43:45 2014 +0200

    Added Basque language\nAdded 'eu' (Basque) to LINGUAS

 po/LINGUAS |   1 +
 po/eu.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit 45ef80ea31ce5461df34a7d16a75b03a13318afe
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Mar 28 10:29:39 2014 +0100

    grl-launch: Add tool to use Grilo from command-line
    
    Inspired by gst-launch, this tool allows to use Grilo from command line,
    invoking most of commands and features in a simple way.
    
    Results can be saved to filename and loaded later with a spreadsheet, as
    results are stored in CSV format.
    grl-launch: Add tool to use Grilo from command-line
    
    Inspired by gst-launch, this tool allows to use Grilo from command line,
    invoking most of commands and features in a simple way.
    
    Results can be saved to filename and loaded later with a spreadsheet, as
    results are stored in CSV format.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727223

 configure.ac                    |   1 +
 tools/Makefile.am               |   4 +-
 tools/grilo-launch/Makefile.am  |  25 ++
 tools/grilo-launch/grl-launch.c | 678 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 706 insertions(+), 2 deletions(-)

commit 74fe8c56d191178c4b40c14b568edd671e625f7a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Mar 29 22:59:28 2014 +0100

    core: Fix comment
    
    Missing some asterisks.

 src/grl-caps.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 58a61dca99837b3c0a46e93e6d8203da63ef5e45
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Mar 29 21:51:41 2014 +0000

    build: do not use bash to invoke gnome-autogen.sh
    
    This allow to build in a different directory.

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8bf3a6266cc29555ef737bfe2b84287d51473307
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 01:49:39 2014 +0100

    pls: Use new "title-from-filename" property
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706877

 libs/pls/grl-pls.c | 3 +++
 1 file changed, 3 insertions(+)

commit f0371195e11a7e7025e1010a7754bbb69d00ec26
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 01:41:54 2014 +0100

    core: Add "title-from-filename" property
    
    When the title is guessed from the filename, so that we know to
    overwrite it when resolving a new title.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706877

 src/grl-metadata-key.c | 12 ++++++++++++
 src/grl-metadata-key.h |  1 +
 2 files changed, 13 insertions(+)

commit 8fb93031f521258073a6037f131bc89f1b7370d1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 25 10:19:50 2014 +0100

    core: Don't try to store metadata if already saved
    
    When storing an item, don't try to call store_metadata() if
    there are no keys left to write.
    
    This fixes warnings in grilo-test-ui when trying to create a new
    bookmark as all the possible metadata we'd add will already
    be handled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673912

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 117eed6df6571ac31071a04aa63198fcf1693902
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 19 12:17:01 2014 +0100

    core: Coding style fix
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726698

 src/data/grl-media.c | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 7429149f96593318d67a81b5c91b162e7add4e82
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 19 12:15:39 2014 +0100

    core: More guards in public functions
    
    And avoid C99 variable declarations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726698

 src/data/grl-config.c       | 39 +++++++++++++++++++---
 src/data/grl-media-audio.c  | 45 +++++++++++++++++++++----
 src/data/grl-media-box.c    |  6 ++--
 src/data/grl-media-image.c  | 20 ++++++++++--
 src/data/grl-media-video.c  | 38 +++++++++++++++++----
 src/data/grl-media.c        | 80 +++++++++++++++++++++++++++++++++++++--------
 src/data/grl-related-keys.c | 46 ++++++++++++++++++++++----
 7 files changed, 231 insertions(+), 43 deletions(-)

commit e9ed0903936bc56b3d54f3453ffa432f125e1b0f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 19 11:42:50 2014 +0100

    core: Remove unnecessary dispose functions
    
    They were just chaining up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726698

 src/data/grl-config.c      | 8 --------
 src/data/grl-media-audio.c | 8 --------
 src/data/grl-media-box.c   | 8 --------
 src/data/grl-media-image.c | 8 --------
 src/data/grl-media-video.c | 8 --------
 src/data/grl-media.c       | 8 --------
 6 files changed, 48 deletions(-)

commit 0f2dd0486d9ef589dfd73a5ff41b7479742cc695
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Mar 25 22:32:51 2014 +0000

    build: Generate AUTHORS automatically on release
    
    Instead of generating the AUTHORS file manually, generate it automatically
    based on the git commits.
    
    The file is split in two sections: current contributors (authors that has some
    line in the current code) and past contributors (those that committed code in
    the past but that nowadays has been replaced by code of new authors).
    
    Because everybody is important for this project.

 AUTHORS     | 17 -----------------
 Makefile.am | 12 +-----------
 release.mk  | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+), 28 deletions(-)

commit 6882196a8ce81b7b8000cb39792c29ce660a377c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Mar 23 11:27:25 2014 +0100

    Updated Serbian translation

 po/sr.po       | 685 +++++++++++++++------------------------------------------
 po/sr@latin.po | 685 +++++++++++++++------------------------------------------
 2 files changed, 354 insertions(+), 1016 deletions(-)

commit dea67a0ede4954497e39ac7da64e5706c6a819f9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Mar 21 05:32:47 2014 +0100

    Updated Serbian translation

 po/sr.po       | 652 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 po/sr@latin.po | 652 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 1060 insertions(+), 244 deletions(-)

commit cb18112652f16494588a3b89127ec383dbc9c4f1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Mar 20 18:37:42 2014 +0000

    Fix 00d2cd23ff440b759d724fe401c2f8065eb8a4c1
    
    Missed to include a file

 tools/Makefile.am | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 00d2cd23ff440b759d724fe401c2f8065eb8a4c1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Mar 20 18:30:54 2014 +0000

    tools: remove useless files
    
    These files where mostly for testing bindings, but they are unmaintained and are not actually tools.
    
    So just remove them

 configure.ac                  |   1 -
 tools/js/testGrilo.js         |  68 ----
 tools/python/grilo-test-ui.py | 853 ------------------------------------------
 tools/vala/Makefile.am        |  43 ---
 tools/vala/grilo-test.vala    |  95 -----
 5 files changed, 1060 deletions(-)

commit 8f6f5ac953942b9bef58294f882041eb8c075e0b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Mar 19 12:08:01 2014 +0000

    Post-release version bump to 0.2.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d88e91c9abc801266f3a5a06b3d9689307f6d9ba
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Mar 19 12:04:31 2014 +0000

    Release 0.2.10

 NEWS                 | 29 +++++++++++++++++++++++++++++
 configure.ac         |  6 +++---
 src/data/grl-media.c |  4 ++++
 src/grl-registry.c   |  2 ++
 4 files changed, 38 insertions(+), 3 deletions(-)

commit b88a996231a70334f08bef1153d9cf88ab54f48e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 18 18:08:34 2014 +0100

    pls: Set file size attribute
    
    https://bugzilla.gnome.org/show_bug.cgi?id=629002

 libs/pls/grl-pls.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 09d9b0a88286a5bf29414187ebcf636474d83c75
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Mar 3 00:03:14 2014 +0000

    core: Add metadata key for size
    
    Add GRL_METADATA_KEY_SIZE, and proper functions, that get/set the size in media
    size in bytes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=629002

 doc/grilo/grilo-sections.txt |  2 ++
 src/data/grl-media.c         | 28 ++++++++++++++++++++++++++++
 src/data/grl-media.h         |  4 ++++
 src/grl-metadata-key.c       | 13 +++++++++++++
 src/grl-metadata-key.h       |  1 +
 5 files changed, 48 insertions(+)

commit 21e6fb514884251d5dfb042b56b78e687d05d5a0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 14:01:39 2014 +0100

    core: Add guards for public API
    
    Add guards for all the grl_data_* public API functions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726340

 src/data/grl-data.c | 79 +++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 73 insertions(+), 6 deletions(-)

commit 1d806abd6310e013035eb98347df700d93b11dd6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 12 15:35:03 2014 -0400

    configure: don't hardcode lib64
    
    If the user wants libraries installed in a directory called lib64 then
    they will specify this via the --libdir option.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726197

 configure.ac | 11 -----------
 1 file changed, 11 deletions(-)

commit 8f82675b221a15287e12546bb2fc8cc08f67c618
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 21:54:21 2014 +0000

    core: Rename variable

 src/grl-source.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 90253afd0e30bc1e33a69c6cc6c89b28461dd04c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 21:52:18 2014 +0000

    doc: Update grl-inspect man page
    
    Add documentation about inspecting metadata keys.

 grl-inspect.1 | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 4ce8e5056180a54c027e88b4c7ed9b11038aa029
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 19:32:02 2014 +0000

    test-ui: Show new registered metadata keys.

 tools/grilo-test-ui/main.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit f2a3ad3cadffb35833dd8ab00280aaa62b0c2110
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 19:31:21 2014 +0000

    core: Add "metadata-key-added" signal
    
    This signal is emitted when a source registers a new custom metadata key.

 src/grl-registry.c | 36 ++++++++++++++++++++++++++++++++----
 1 file changed, 32 insertions(+), 4 deletions(-)

commit 2c331dfe66e79459ca85a8fd8c888edbb9e30c45
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 17:29:44 2014 +0000

    core: Pull plugin leak

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c3bd7f7d76f13c43f7d66d2836adac6f88cabd0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 16:11:33 2014 +0000

    core: Use a hashtable to store metadatakeys
    
    Do not use a GParamSpecPool for it, as this class does not have a way to free
    it.
    
    Instead, use a GHashTable.

 src/grl-metadata-key.c  | 908 ++++++++++++++++++++++++------------------------
 src/grl-registry-priv.h |   8 +-
 src/grl-registry.c      | 106 +++---
 3 files changed, 517 insertions(+), 505 deletions(-)

commit 90aa982ee7a75da374424064d3ffe5552e3e3435
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 00:36:49 2014 +0000

    core: Free tags

 src/grl-source.c | 1 +
 1 file changed, 1 insertion(+)

commit 0c3913e2a01f8949c380dc3c5eb86c73020410d8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 9 00:03:32 2014 +0000

    core: configurations are stored in a list
    
    When freeing the list of configurations, do not unref directly because they are
    inside a list. Use g_list_free_full() to do the job.

 src/grl-registry.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 806a8598c34d5b408eeebd3b699d50a03bd5c105
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Mar 6 17:28:08 2014 +0000

    core: Use g_clear_pointer/object when possible
    
    Reduces the number of lines and makes the code more readable.

 configure.ac               |  2 +-
 libs/net/grl-net-mock.c    | 37 ++++++++-------------------
 libs/net/grl-net-wc.c      | 10 +++-----
 libs/pls/grl-pls.c         | 32 ++++++-----------------
 src/grl-caps.c             |  8 ++----
 src/grl-plugin.c           |  9 +++----
 src/grl-range-value.c      |  9 ++-----
 src/grl-registry.c         | 31 ++++++-----------------
 src/grl-source.c           | 13 +++-------
 tools/grilo-test-ui/main.c | 63 ++++++++++++----------------------------------
 10 files changed, 58 insertions(+), 156 deletions(-)

commit 0d380b7e10b84740a54ec108df61fc4c62b43e0f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 21:22:32 2014 +0100

    core: Add names to all the timeouts and idles
    
    For debugging purposes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725419

 libs/net/grl-net-wc.c |   1 +
 libs/pls/grl-pls.c    |   5 +-
 src/grl-multiple.c    |   8 ++-
 src/grl-source.c      | 151 ++++++++++++++++++++++++++++++--------------------
 4 files changed, 101 insertions(+), 64 deletions(-)

commit 5520b4e219d9a9e1dd66aefcd27b2bda2d040a8e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Mar 2 01:24:03 2014 +0000

    core: Free registry resources before unreffing it
    
    We can't unref the registry to finalize all the sources and plugins, because
    they can try to access the registry again in their finalize method.
    
    This commit first finalizes the sources, plugins, and other resources, and at
    the end it unrefs the registry.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724660

 src/grilo.c             |   2 +-
 src/grl-registry-priv.h |   2 +
 src/grl-registry.c      | 141 ++++++++++++++++++++++++------------------------
 3 files changed, 72 insertions(+), 73 deletions(-)

commit 30823a258d7340436bf0c6f79f77cc2947d9086c
Author: Marcus Lundblad <ml@update.uu.se>
Date:   Fri Feb 28 21:17:16 2014 +0000

    Added Swedish translation

 po/LINGUAS |   1 +
 po/sv.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit f6b7305afcf1264f90e51004ea0eda95d4413089
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Feb 28 00:23:35 2014 +0000

    build: Detect Vala presence
    
    Build vala bindings if vala is present.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724648

 configure.ac | 51 +++++++++++++++++++++++++++++++--------------------
 1 file changed, 31 insertions(+), 20 deletions(-)

commit 171211cfc75d241b0208308c198f0495e80f3f80
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 21 12:25:28 2014 +0100

    core: Add documentation for source-tags
    
    Explain usage and commonly used tags.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724019

 src/grl-source.c | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit 636ac50f093c11afbc68a0158fe8baaab363085b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 25 14:37:13 2014 +0100

    core: Fix gtk-doc for source-tags
    
    They were referred to as "tags" in some places, and "source-tags"
    in others.

 src/grl-source.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 790f3508d5f805577f4d9187ab5bf6e89262d4b5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 23 19:02:02 2014 +0100

    pls: Fix build with grilo never installed
    
    This re-applies the fix from:
    https://git.gnome.org/browse/grilo/commit/?id=3f66bb29a2d0f81479a435c1fabc80c08c4961be
    
    Which got broken by the wrong de-duplicating done in
    5f88b535800d1105439641795ddd2e07fd113744
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724871

 libs/pls/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd2a3875e3460e8a93ba30a9c7841650669a8c3f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 21 12:30:26 2014 +0100

    core: Fix API documentation typo
    
    ../../src/data/grl-data.c:389: warning: Parameter description
    for grl_data_get_boolean::key is missing in source code comment block.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724871

 src/data/grl-data.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f88b535800d1105439641795ddd2e07fd113744
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 21 12:24:59 2014 +0100

    pls: Fix redefinition of compiler args
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724871

 libs/pls/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 71def91bc93da36d1abf7332e899b5fd88dd1cf1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Feb 21 00:35:42 2014 +0100

    travis: Update package dependencies

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0defc30bd6e432cfb04c8956fef13d035d9c2178
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 12:39:44 2014 +0100

    test-ui: Show "source-tags" property
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724019

 tools/grilo-test-ui/main.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 5fd88084afe8a7469fc65abe1eff3b0a7ac5488f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 12:37:40 2014 +0100

    core: Add "source-tags" property
    
    So that more information can be conveyed about the source's content
    to the front-end applications, such as:
    - the genre of the media (tv, cinema, radio, music, etc.)
    - the countries the media is relevant to
    - whether the media served is from the same machine, or from
      the local network
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724019
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/grl-source.c | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/grl-source.h |  2 ++
 2 files changed, 60 insertions(+), 1 deletion(-)

commit 4f68bcff087ad0a073a86fbbeaec88a1dae2d4f3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 16:46:21 2014 +0100

    test-ui: Fix crasher on exit
    
    The test UI was crashing because we left closing through the
    "Close" button destroy the window, which left all the pointers
    dangling.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724658

 tools/grilo-test-ui/main.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 4e38032dc0bdc62d868ebdb8c2d08983b5865760
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 18 14:18:14 2014 +0000

    Post-release version bump to 0.2.10

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3add1a606383bd0e583d48cf85ad5c714ff1639
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 18 14:15:33 2014 +0000

    Release 0.2.9

 NEWS         | 14 ++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 6f96c5f2a3cf0195c6c2357d5a0dbd2ce2971dde
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 18 14:07:31 2014 +0000

    build: drop libvala requirement
    
    Only valac, vapigen and vala-gen-introspect are required.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724430

 configure.ac | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit 121308824b96d42960a96a965e9bf6a0be096a94
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 14:30:06 2014 +0100

    pls: Return an error when the entry media is of the wrong type
    
    Ensure that the type of the returned media is GrlMediaBox when
    the detected type is GrlMediaBox.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724540
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 configure.ac       |  2 +-
 libs/pls/grl-pls.c | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit d03820f00eeff74649a506cb7c20721a92b16da8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 12:06:37 2014 +0000

    pls: C89 compilation fixes
    
    Move declaration to the top of the block.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724540

 libs/pls/grl-pls.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d6643ecdc15f47b7dedd8c1816f40c1b3326a192
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 11:15:38 2014 +0100

    net: Fix introspection scanner warning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724620

 libs/net/grl-net-wc.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 968a7ea8f8ae2a866738cc4b507b44eae772bffe
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 11:10:47 2014 +0100

    core: Fix introspection scanner warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724620

 src/grl-operation-options.c |  4 +---
 src/grl-operation.c         |  2 +-
 src/grl-plugin.c            |  2 +-
 src/grl-range-value.c       |  4 ++--
 src/grl-value-helper.c      | 17 +++++++++++++++--
 5 files changed, 20 insertions(+), 9 deletions(-)

commit 3f66bb29a2d0f81479a435c1fabc80c08c4961be
Author: Colin Walters <walters@verbum.org>
Date:   Fri Feb 14 11:55:09 2014 -0500

    build: Avoid self-dependeny in pls
    
    Since GrlPls depends on Grl, we need to use --include-uninstalled
    to find the built Grl.gir inside $(top_builddir)/src, instead
    of requiring a previous version in the buildroot.
    
    This was caught by Continuous.

 libs/pls/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ef537bd6bb26e036ae02b0461f1cf43e8939abc0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 11 00:26:47 2014 +0100

    Post-release version bump to 0.2.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43501848d21efe499fa7f699e461110458d04910
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Feb 10 21:33:16 2014 +0000

    Release 0.2.8

 AUTHORS            |  2 ++
 NEWS               | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac       |  6 +++---
 libs/pls/grl-pls.c |  6 ++++++
 src/grilo.c        |  2 ++
 src/grl-registry.c |  2 ++
 src/grl-source.c   |  2 ++
 7 files changed, 78 insertions(+), 3 deletions(-)

commit f09c959b620cdcb1cdd4e52fdadb9ba29a8b46ab
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Feb 10 21:32:02 2014 +0000

    build: use all options in distcheck
    
    Activate all the availables in distcheck to verify everything will build
    correctly.

 Makefile.am | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 9006ae5521ea4c7194cead95699dec8b25e0bcde
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 12:37:04 2014 +0100

    core: Fix "Since" in GrlSource::source-icon docs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724018

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc8a52a98801ebfe04d37a1bb1f1ce7362927872
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 01:12:44 2014 +0100

    doc: Fix parameter name in API docs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723989

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6046475d3972d636c21bf4a82f3f39553aaa790
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 01:12:07 2014 +0100

    build: Add missing introspection dependency on gio
    
    GIcon is defined in Gio-2.0, so add it to the Gir dependencies.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723989

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e01818be198ea5aff7fcd4f2b8f93c82c5734c0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 10 16:22:51 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 66 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

commit 777d4452ee85bfe60b2318e19ec1e9d15b1c5866
Author: Colin Walters <walters@verbum.org>
Date:   Mon Feb 10 00:14:14 2014 -0500

    build: Honor BUILD_GRILO_PLS conditional for example code
    
    This was breaking the Continuous build.

 examples/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e55699b8574fdf64795df862c7536f1a012fc47d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Dec 19 19:10:11 2013 +0100

    ui-test: Handle playlists in the "/" filesystem
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695303

 tools/grilo-test-ui/main.c | 1 +
 1 file changed, 1 insertion(+)

commit a60fc34bc8c9bbbb92d36782a9834a5f152055b4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Feb 9 14:02:55 2014 +0000

    pls: Include src/ in introspection
    
    Needed to find Grl-0.2.gir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695303

 libs/pls/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 50e231075122405bad866191c829470c2f100467
Author: Mateu Batle <mateu.batle@collabora.com>
Date:   Thu Sep 12 19:01:35 2013 +0200

    pls: Add new Grilo Playlist lib
    
    This utility library allows both plugins and applications to read
    playlists as if they were containers, using an API similar to the
    Sources.
    
    With additional fixes from Juan A. Suarez Romero and
    Bastien Nocera.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695303
    
    Signed-off-by: Bastien Nocera <hadess@hadess.net>
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 Makefile.am                  |    4 +
 configure.ac                 |   37 ++
 doc/grilo/grilo-docs.sgml    |    5 +
 doc/grilo/grilo-sections.txt |   10 +
 examples/Makefile.am         |    5 +-
 examples/browsing-pls.c      |  246 ++++++++
 grilo-pls-0.2.pc.in          |   15 +
 grilo-pls-uninstalled.pc.in  |   15 +
 libs/Makefile.am             |    6 +-
 libs/pls/Makefile.am         |   70 +++
 libs/pls/grl-pls.c           | 1372 ++++++++++++++++++++++++++++++++++++++++++
 libs/pls/grl-pls.h           |   79 +++
 po/POTFILES.in               |    1 +
 13 files changed, 1863 insertions(+), 2 deletions(-)

commit acf670c92c908654e1b3cd3c437300b4621d02f8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Feb 7 21:30:25 2014 +0000

    test-ui: Call grl_deinit ()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710185

 tools/grilo-test-ui/main.c | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit 2975d4788d503b1105151c51650b68c327f3f7af
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Feb 7 21:25:00 2014 +0000

    grl-inspect: Call grl_deinit()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710185

 tools/grilo-inspect/grl-inspect.c | 3 +++
 1 file changed, 3 insertions(+)

commit ee153974cc762ac7baacb46869882a64a3e5c848
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Feb 7 21:01:09 2014 +0000

    examples: call grl_deinit()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710185

 examples/browsing.c                      | 1 +
 examples/configuring-plugins.c           | 2 ++
 examples/efficient-metadata-resolution.c | 1 +
 examples/loading-plugins.c               | 2 ++
 examples/multivalues.c                   | 1 +
 examples/searching.c                     | 1 +
 6 files changed, 8 insertions(+)

commit 27fa2aa1f9201d4f0723afe43e90cd996876c999
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Feb 7 20:47:32 2014 +0000

    core: Add grl_deinit() function
    
    Quitting without cleanly unregistering sources and plugins can leave unfreed
    resources in the system.
    
    This happens specially with the sources that open or create temporal files, but
    as they are not cleanly unreffed the files are kept there.
    
    So we are adding grl_deinit() function, which should be called by the
    applications once they have finished to use Grilo. This function will cleanly
    unload all the sources and plugins.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710185

 doc/grilo/grilo-sections.txt |   1 +
 src/grilo.c                  |  25 +++++++++++
 src/grilo.h                  |   2 +
 src/grl-registry.c           | 104 ++++++++++++++++++++++++++++++++++++++++---
 4 files changed, 125 insertions(+), 7 deletions(-)

commit 0953b4a55ec0db85ed5139aa9a97b4231f72c602
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Feb 5 15:10:30 2014 +0200

    Added uk translation

 po/LINGUAS |   1 +
 po/uk.po   | 197 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 198 insertions(+)

commit 8654445fae39768fcf776656e9c95133b21d9627
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 17 08:57:07 2014 +0100

    doc: Add unit to duration
    
    Looking at the various sources, this is currently in seconds
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722398

 src/data/grl-media.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 39ce2d2e702ae9117a6f48e8d38a1a03768280e3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 10:40:17 2014 +0100

    grilo-test-ui: Show source metadata on right pane
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723077

 tools/grilo-test-ui/main.c | 104 ++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 103 insertions(+), 1 deletion(-)

commit ccac94175c696711751e8c0fda613eb3d440c14e
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Tue Jan 28 21:29:50 2014 +0100

    Support Vala 0.24
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723191

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1e99181a4a745bda047eae9f659de328ad6df18
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 10:17:01 2014 +0100

    grilo-test-ui: Fix slowness when remote GFileIcons are used
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723077

 tools/grilo-test-ui/main.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit cd1d69cdd02c1f8e8aee7eb2199e86365e6b2a1f
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Sun Jan 26 23:09:35 2014 +0100

    grilo-test-ui: Use the icon provided by each GrlSource
    
    Use the newly introduced Icon property of GrlSource to display a custom
    icon (if available) in the browser list.
    
    Signed-off-by: Emanuele Aina <emanuele.aina@collabora.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723077

 tools/grilo-test-ui/main.c | 52 ++++++++++++++++------------------------------
 1 file changed, 18 insertions(+), 34 deletions(-)

commit 0814a841ac48f7aa8864b51d6c8e88095ca8134a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jan 27 10:45:51 2014 +0100

    core: Do not use g_clear_pointer()
    
    To avoid requiring glib 2.34

 src/grl-registry.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 7b4ec551ec39538933742dfaca1ca585f234e200
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jan 27 10:45:30 2014 +0100

    build: bump glib requirement to 2.32

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07c0f44ba6cb4e82c36a58d3d31dc7c5c836a08e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jan 27 09:03:50 2014 +0000

    doc: Add grl_registry_add_config_from_resource() to documentation

 doc/grilo/grilo-sections.txt | 1 +
 src/grl-registry.c           | 2 --
 2 files changed, 1 insertion(+), 2 deletions(-)

commit f58647687b15766c60c7d1f22134316c0a9ac874
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 16 18:08:55 2014 +0100

    core: Add grl_registry_add_config_from_resource()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722358

 src/grl-registry.c | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/grl-registry.h |  4 ++++
 2 files changed, 58 insertions(+)

commit 8eb5dac7799d6507ec62e4f694da892b169374b4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 16 17:30:35 2014 +0100

    core: Split up keyfile processing for config
    
    Into a separate function, so it can be used to load from data instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722358

 src/grl-registry.c | 57 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 25 deletions(-)

commit ed27759a5ca716c8d05efe4f5a0804ad9be2449e
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jan 26 04:44:10 2014 +0200

    Added Hebrew translation
    
    Signed-off-by: Yosef Or Boczko <yoseforb@src.gnome.org>

 po/LINGUAS |   1 +
 po/he.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit e04c039a98d0956936c671b0678756bfaa1a5480
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Fri Jan 24 21:45:01 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit 5b0671d47f634b0dbb5dc9516a12a1fa6f7713d6
Author: Victor Manuel Jaquez Leal <vjaquez@igalia.com>
Date:   Fri Jan 17 10:17:25 2014 +0000

    vala: add gio dependency
    
    GIcon is provided in GIO module.
    
    This fixes the Vala break introduced by previous commit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722407

 bindings/vala/grilo-0.2.deps | 1 +
 1 file changed, 1 insertion(+)

commit c8423dac910f41670754b0c18041854bcd64551d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Dec 19 22:44:09 2013 +0100

    core: Add Icon property to GrlSource
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657926
    
    Signed-off-by: Bastien Nocera <hadess@hadess.net>
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 doc/grilo/grilo-sections.txt |  1 +
 src/grl-source.c             | 40 ++++++++++++++++++++++++++++++++++++++++
 src/grl-source.h             |  3 +++
 3 files changed, 44 insertions(+)

commit 2eab8437b4970232ca2981347a836237a3369317
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 28 08:53:03 2013 +0000

    doc: Relocated home page
    
    Grilo home page has been moved from http://live.gnome.org/Grilo to
    https://wiki.gnome.org/Projects/Grilo.

 README                            | 2 +-
 configure.ac                      | 2 +-
 grilo.doap                        | 2 +-
 tools/grilo-inspect/grl-inspect.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d6d53aa07af55ff5c348f6c71eec17d403289786
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 29 18:36:42 2013 +0000

    net: mockup requester should be initialized/finalized once
    
    The mockup requester is shared among all GrlNet instances. So it should be
    initialized just once, and finalized also once, when no instance require it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709651

 libs/net/grl-net-mock.c | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

commit 5cc4aa932fda6cf3ba30add225a7774de1032a54
Author: Anish A <aneesh.nl@gmail.com>
Date:   Fri Nov 1 02:12:42 2013 +0530

    Updated Malayalam Translation

 po/LINGUAS |   1 +
 po/ml.po   | 190 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 191 insertions(+)

commit 8e9b96ceda226b0ebb2c35ab79e868a612ac95fa
Author: Efstathios Iosifidis <iosifidis@opensuse.org>
Date:   Thu Oct 24 11:13:57 2013 +0300

    Updated Greek translation

 po/el.po | 72 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit b2847d2b1b0c4494ffed1ce78cef6fd57fde138c
Author: Jacobo Aragunde Pérez <jaragunde@igalia.com>
Date:   Fri Oct 18 19:49:42 2013 +0200

    grilo-test-ui: Prevent undesired calls to resolve when browsing a category
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/main.c | 3 +++
 1 file changed, 3 insertions(+)

commit a9ea4eba106e5a65598c612995d71859bd9053a2
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Oct 19 22:51:06 2013 +0200

    Add Esperanto translation

 po/LINGUAS |   1 +
 po/eo.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit b1e79ceedea7ee4b2d057ac00c28b13aa8056bce
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Tue Oct 1 18:31:21 2013 +0200

    core: initialize caps filter to none.
    
    Sync with the comment above telling the filter is to be initialized
    to none.
    
    Partially revert commit  5b88159eaa8d06a5f17c092cbb69b79e62d48f2b
    
    The issue is that grl_upnp_source_get_caps set the search and browse
    caps to FILTER_ALL if filtered is supported and do not touch them
    otherwise. But grl_caps_new instantiate a caps with filter initalized to
    FILTER_ALL ... so grl_upnp_source_get_caps always returns caps with
    FILTER_ALL .
    
    Fixes browse vs search for grilo plugin upnp at least against servers
    that has no or incomplete search capabilities.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709208

 src/grl-caps.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b04b099e1860d284ecf76f9a0bab2e71d0b9f141
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Oct 13 22:17:49 2013 +0200

    [l10n] Added Catalan (Valencian) translation

 po/LINGUAS        |   1 +
 po/ca@valencia.po | 190 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 191 insertions(+)

commit 09fc9db0de999a3121194bdc3017e9cdc7a45577
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Oct 13 22:17:45 2013 +0200

    [l10n] Add Catalan translation

 po/LINGUAS |   1 +
 po/ca.po   | 191 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 192 insertions(+)

commit 1cc5fac4257208428455cdd1be542fb410f3b318
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Oct 12 23:25:14 2013 +0200

    Updated German translation

 po/de.po | 53 ++++++++++++++++++++++++++++-------------------------
 1 file changed, 28 insertions(+), 25 deletions(-)

commit 1dd026c49b26a7439b947e3d1f601ec3a836ba94
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Thu Oct 10 17:04:50 2013 +0500

    Tajik translation updated

 po/tg.po | 57 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit 1f95073c2e3a953b89a97f920f8ee6c899493466
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Sep 28 15:23:57 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit ef18f4ed05991fdd1f83ad50b9a80bff9a60860d
Author: Fernando Carvalho <phaetonkde@gmail.com>
Date:   Thu Sep 19 00:18:26 2013 +0100

    Updated Portuguese translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit e7944923cbf3a79e5bb1d2f3fdc7420682ce719c
Author: Fernando Carvalho <phaetonkde@gmail.com>
Date:   Thu Sep 19 00:16:21 2013 +0100

    Updated Portuguese translation

 po/pt.po | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 192 insertions(+)

commit 32a5ef1c533283e1d6a7a809149faccb24b8f0bc
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 18 13:37:48 2013 +0200

    Added Hungarian translation

 po/hu.po | 195 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 195 insertions(+)

commit 455ef92a29ec9c4856a177a7660d8e33f3a973c1
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 18 13:37:35 2013 +0200

    Added hu to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 1114ecd0afa6c017f3bca79f5b8e31a65ebee781
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 18 11:39:25 2013 +0200

    build: Add support for Vala 0.22

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b861a8acd099bc48fa4f7b25abda0b0ed74ef809
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Sep 17 23:50:20 2013 +0200

    Post-release version bump to 0.2.8

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 530ca0086896d2028e82052e243d8328544ceac3
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Sep 17 21:01:54 2013 +0200

    Release 0.2.7

 NEWS                       | 80 ++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac               |  6 ++--
 src/grl-operation.c        |  2 ++
 tools/grilo-test-ui/main.c |  2 +-
 4 files changed, 86 insertions(+), 4 deletions(-)

commit d395137b6a5e914e06197f34c1bda565cb80e67a
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Tue Sep 17 18:18:52 2013 +0200

    Updated Danish translation

 po/da.po | 191 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 191 insertions(+)

commit c486260e2c8c775141f4ab42882a38d3dc721c2c
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Tue Sep 17 18:18:52 2013 +0200

    Added da to list of languages

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 17de8559e9890f875d44df670bf7d024075b93c8
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Tue Sep 17 17:25:59 2013 +0530

    Assamese translation updated

 po/as.po | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 193 insertions(+)

commit 29ff9f1db3e4b8ad7cee92c1661e0d58090f4aa8
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Tue Sep 17 17:25:11 2013 +0530

    Added Assamese to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 35aa2a6e67af4a056b77ee658bfab1508b9b3fad
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Sep 14 09:56:54 2013 +0700

    Updated Indnesian translation

 po/id.po | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 7efacf6200d91ff0e6fb1d3a0fb1d229e5c99b79
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sat Sep 14 04:38:56 2013 +0900

    Added Korean translation

 po/LINGUAS |   1 +
 po/ko.po   | 198 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 199 insertions(+)

commit a6d96cd56dca6232ffdd92678b4c73adc5466b94
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Sep 13 16:00:19 2013 +0000

    net: unref stream after using it
    
    https://bugs.launchpad.net/bugs/1224410

 libs/net/grl-net-wc.c | 1 +
 1 file changed, 1 insertion(+)

commit 56926d8ea91b93fc19e7ca5d210a559b08c99c1b
Author: Evgeny Bobkin <evgen.ibqn@gmail.com>
Date:   Fri Sep 13 12:45:39 2013 +0200

    Add Russian translation

 po/LINGUAS |   1 +
 po/ru.po   | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

commit 0ae9e898c3904577e07115654170a20b21addf91
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Sep 12 21:06:51 2013 +0300

    Added Latvian translation

 po/LINGUAS |   1 +
 po/lv.po   | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

commit b258a23551931ecb963cfc6f7ff1855d732faba9
Author: A S Alam <apreet.alam@gmail.com>
Date:   Thu Sep 12 12:48:11 2013 -0500

    add pa to LINGUAS, translation already available

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 56516561bea80c0e7dddd9e9bb7069c79d87ec43
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Sep 12 08:57:09 2013 +0200

    Updated Slovak translation

 po/sk.po | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit d507110aa2e13ee6dc2a111512505c716e8feec0
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Sep 10 22:00:43 2013 +0200

    Add French translation

 po/LINGUAS |   1 +
 po/fr.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit b27dedc51fe752353f6632a7b8f5e7f6ec7e0816
Author: A S Alam <apreet.alam@gmail.com>
Date:   Mon Sep 9 22:49:47 2013 -0500

    Punjabi Translation updated by Aman

 po/pa.po | 4176 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 4176 insertions(+)

commit b39501b34c2791a61fca2f036aaade2ee515601c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Sep 8 19:57:08 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 2ae4708a521d550376169cf2dde37636a02599d1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Sep 8 13:57:53 2013 +0200

    net: Check if URL has query parameters
    
    When using the GrlNet mock, we could need to skip some of the query
    parameters in the URL.
    
    This commit cover the case of having an URL without any query parameter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706805

 libs/net/grl-net-mock.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 3c0237a858e445e215d5e6766ff519614b039c8b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Sep 7 22:40:26 2013 +0000

    core: Remove no used assignment

 src/data/grl-media.c | 1 -
 1 file changed, 1 deletion(-)

commit 58cdd2fa0da39178ab7534ff69af16c72d907de9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Sep 5 11:39:29 2013 +0200

    Updated Serbian translation

 po/sr.po       | 55 ++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 55 ++++++++++++++++++++++++++++---------------------------
 2 files changed, 56 insertions(+), 54 deletions(-)

commit 9a38b0d35d0486ddd051c6144a659877a67c440f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Sep 1 09:48:59 2013 +0000

    net: Pull some leaks

 libs/net/grl-net-mock.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6e878f6e04bd88217043b586a9de021423205078
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Sep 1 09:13:49 2013 +0000

    net: Do not leak content from mockups
    
    Be sure content got for mockups are freed to avoid leaks.

 libs/net/grl-net-wc.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 15776bd89ec4f93134245a1267e1ab3d78f86f21
Author: Claudio Arseni <claudio.arseni@ubuntu.com>
Date:   Fri Aug 30 22:32:34 2013 +0200

    [l10n] Added Italian translation.

 po/LINGUAS |   1 +
 po/it.po   | 191 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 192 insertions(+)

commit 16fb34949cf474a2f0bb18c357e5368b109bb9bd
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Aug 28 23:11:35 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 55 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 28 insertions(+), 27 deletions(-)

commit 138b434daeef67c77ff7d7d0e8c52fde0fda5fd7
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Aug 28 21:29:35 2013 +0200

    Added slovak translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit c4d4f23e038c977a3b0cd8ffe1685d9907d60ece
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Aug 28 21:27:50 2013 +0200

    Added slovak translation

 po/sk.po | 194 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 194 insertions(+)

commit 463d254d992f1a05b075f689019772d44d500aa4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Aug 27 02:34:32 2013 +0200

    Updated Galician translations

 po/gl.po | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit c7948dbd35eb99224252d56ebc35635673e66d5c
Author: leo <leo@Satan>
Date:   Mon Aug 26 11:43:37 2013 +0200

    Updated Spanish Translation
    
    Miguel Rodriguez <bokeronesfritos@gmail.com>

 po/es.po | 67 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 33 insertions(+), 34 deletions(-)

commit ea96876bd0732653979d1ddead83aed5347c2268
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Aug 26 10:55:37 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 85 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 42 insertions(+), 43 deletions(-)

commit c53c9c4b8ae706d6a0096873ced8c076fcdf97b4
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Aug 21 15:04:14 2013 +0200

    core: Use g_clear_error()/g_clear_object()/g_list_free_full()
    
    Simplify cleanup functions by relying on the NULL-safe versions of
    g_error_free()/g_object_unref() and free lists and their elements in a
    single pass.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706495

 src/grl-multiple.c          |  5 +----
 src/grl-operation-options.c |  3 +--
 src/grl-source.c            | 52 +++++++++++++--------------------------------
 3 files changed, 17 insertions(+), 43 deletions(-)

commit 99d47217a1f543ae3ddc23788dfa673ecae7fd93
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Aug 13 20:02:22 2013 +0200

    build: Switch to git.mk to keep the .gitignore file updated
    
    Fixing the *CLEANFILES lists where needed and having git.mk generate the
    .gitignore files automatically seemed more useful than manually updating
    those files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706491

 .gitignore                      |  27 ----
 Makefile.am                     |  25 ++--
 bindings/Makefile.am            |   2 +
 bindings/vala/Makefile.am       |   2 +
 configure.ac                    |   4 +-
 doc/Makefile.am                 |   2 +
 doc/grilo/.gitignore            |  14 --
 doc/grilo/grilo-overrides.txt   |   0
 examples/Makefile.am            |   3 +-
 git.mk                          | 303 ++++++++++++++++++++++++++++++++++++++++
 libs/Makefile.am                |   6 +-
 libs/net/Makefile.am            |  11 +-
 src/Makefile.am                 |  18 +--
 tests/.gitignore                |   2 -
 tests/Makefile.am               |   3 +-
 tests/python/Makefile.am        |   5 +-
 tools/Makefile.am               |  11 +-
 tools/grilo-inspect/.gitignore  |   1 -
 tools/grilo-inspect/Makefile.am |   9 +-
 tools/grilo-test-ui/.gitignore  |   1 -
 tools/grilo-test-ui/Makefile.am |   6 +-
 tools/vala/Makefile.am          |   9 +-
 22 files changed, 349 insertions(+), 115 deletions(-)

commit 18da634b72c5670fb96bbbc4af70a868adb040a2
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Aug 21 13:37:33 2013 +0200

    doc: Updates and fixes
    
    - Ignore all the *-priv.h headers
    - Update grilo-sections.txt with new symbols
    - Fix referecens to old GrlMediaSource and GrlMetadataSource to point to
      GrlSource
    - Standardize element-type annotation to use the C symbol names
    - Misc cleanups to fix gtk-doc warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706487

 doc/grilo/Makefile.am         | 11 ++++++++---
 doc/grilo/grilo-sections.txt  | 22 ++++++++++++++++++++--
 doc/grilo/plugins-sources.xml | 15 ++++++++-------
 libs/net/grl-net-wc.c         |  5 +++--
 src/data/grl-data.c           |  4 ++--
 src/grl-caps.c                |  2 +-
 src/grl-caps.h                |  6 ++++++
 src/grl-multiple.c            |  6 +++---
 src/grl-operation-options.c   | 16 +++++++++-------
 src/grl-operation-options.h   |  6 ++++++
 src/grl-plugin.c              |  9 ++++-----
 src/grl-registry.c            |  8 +++++---
 src/grl-source.c              | 17 ++++++++---------
 src/grl-source.h              |  2 +-
 14 files changed, 84 insertions(+), 45 deletions(-)

commit 8bcf9eafafebe18e008ebe7f90ed27764d8331c8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Aug 23 14:53:55 2013 +0000

    doc: use semicolon in ignored-parameters
    
    ignored-parameters is a list of keys to be ignored when dealing with mockup
    network content.
    
    While in theory we can use either a colon or semicolon to separate the
    parameters, according to GKeyFile documentation, using colon doesn't work very
    well.
    
    So let's suggest to use semicolon.

 doc/grilo/plugins-testing.xml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9fc9d629cd8f38091740aa01795ad71e2dd88e53
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Aug 20 23:35:09 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 5b88159eaa8d06a5f17c092cbb69b79e62d48f2b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Aug 21 00:07:36 2013 +0200

    doc: Fix documentation about GRL_TYPE_FILTER_NONE
    
    GRL_TYPE_FILTER_NONE means "do not allow any content" (only
    GrlMediaBox), while GRL_TYPE_FILTER_ALL means "allow all content".
    
    This commit clarifies it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706412

 src/grl-caps.c | 4 ++--
 src/grl-caps.h | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 67f4b69ad785bd55f2aefd01b857c5ec2da3cba0
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Aug 12 20:14:28 2013 +0200

    core: Add grl_operation_set_data_full()
    
    Let users specify a destroy function to offload to Grilo the management
    of the registered data lifecycle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705944

 src/grl-operation.c | 26 ++++++++++++++++++++++++++
 src/grl-operation.h |  2 ++
 2 files changed, 28 insertions(+)

commit 0fdf4ae361bdc55b2314e9191f3e5fa3ca3d15ea
Author: Colin Walters <walters@verbum.org>
Date:   Fri Aug 16 09:08:02 2013 -0400

    build: Various srcdir != builddir fixes
    
    gnome-ostree does it by default.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706132

 src/Makefile.am | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 82c7ea965b44a8efc54067abc73341fde58ec8bc
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Aug 18 02:01:10 2013 +0200

    Updated Slovenian translation

 po/sl.po | 68 +++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 31 insertions(+), 37 deletions(-)

commit 7b07a6d494b57200b4ff5d317bb09ddad374da42
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Aug 16 10:10:35 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 19 +++++++++++--------
 po/zh_TW.po | 19 +++++++++++--------
 2 files changed, 22 insertions(+), 16 deletions(-)

commit 08e5934755b2f3c3e917c347a6771ffe33e04a20
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Aug 10 08:34:37 2013 +0200

    Updated Czech translation

 po/cs.po | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit af839152781fd6cf7b4373b4ff442adc64539aa0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 9 23:02:08 2013 +0200

    Updated Polish translation

 po/pl.po | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 36dbe5b0720417cb85c73a62e4a5c6bdcbe2303a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Aug 9 10:30:52 2013 +0200

    net: Handle invalid URLs
    
    For non valid URLs, return an error in the async result.

 libs/net/grl-net-wc.c | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 25cebaea62ebbfdecc5966cd20ea06f27eeb24cb
Author: 甘露(Gan  Lu) <rhythm.gan@gmail.com>
Date:   Sat Aug 3 21:24:34 2013 +0800

    Added Chinese simplified translation

 po/LINGUAS  |   1 +
 po/zh_CN.po | 187 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 188 insertions(+)

commit 97c607e25ec3d519d72b45e19b31fd297c5cd888
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Aug 2 22:59:17 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 52 +++++++++++++++++++++++++---------------------------
 1 file changed, 25 insertions(+), 27 deletions(-)

commit b2b900cd02a6996a8320b0a77a11b3786850064e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 2 11:58:04 2013 +0200

    Updated Galician translations

 po/gl.po | 54 +++++++++++++++++++++++++-----------------------------
 1 file changed, 25 insertions(+), 29 deletions(-)

commit 409f3b7da99771fee1f32e32775692d5ebeaa52e
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Jul 30 21:56:50 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 2538afc4d4141b0cdd87ad7012bfaed30160f9f1
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jul 28 12:41:04 2013 +0200

    Updated Czech translation

 po/cs.po | 44 +++++++++++++++++++-------------------------
 1 file changed, 19 insertions(+), 25 deletions(-)

commit f839ac33dd8fcd205d58720bf6d7269153a56381
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 25 20:29:15 2013 +0200

    Updated Polish translation

 po/pl.po | 48 +++++++++++++++++++++---------------------------
 1 file changed, 21 insertions(+), 27 deletions(-)

commit 19cfe096b3721cadb94e215235ccd4c9cf77c0a3
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jul 25 09:40:40 2013 +0200

    core: Fix typo in error message
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704804

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbff6e82273cc59bc10cb40b64c57107e076bcb0
Author: Nishio Futoshi <fut_nis@d3.dion.ne.jp>
Date:   Wed Jul 24 22:26:29 2013 +0900

    l10n: Add Japanese translation

 po/LINGUAS |   1 +
 po/ja.po   | 189 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 190 insertions(+)

commit 56001c38a4586cd6b690dc57de51437818ae6570
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Jul 20 19:56:54 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/LINGUAS  |   2 +
 po/zh_HK.po | 188 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 188 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 378 insertions(+)

commit 9dc7a41f75eb3c32b30bb9975301189ec4d77cff
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 16 16:31:21 2013 +0200

    build: Require vala to dist
    
    Vala is needed to create the distribution tarball, otherwise
    files that would be used when --enable-vala is used against the
    tarball would fail because of missing files.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5eaf272cae888ee3b6840052f0ab7251c0f3097
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jul 9 13:07:48 2013 +0000

    core: Adjust page_size to max_page_size
    
    If page_size is NULL, then instead of computing the optimal page size, use
    max_page_size as the optimal page_size.
    
    This allows to use the function with those services that do not allow to
    specify the page size.

 src/grl-util.c | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

commit 4b920dd6c190f3604ab656c83ccb5930592153fa
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jul 9 10:15:44 2013 +0000

    core: Add clarification for max_page_size == 0
    
    When using grl_paging_translate().

 src/grl-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0ba03de46fcbe5b44c2224b7471267b961cd3ed
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Jul 6 10:47:42 2013 +0000

    grl-inspect: Print slow keys
    
    Show the slow keys list when inspecting a source.

 tools/grilo-inspect/grl-inspect.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0897b071313d3ca5970c042718508a00922e432a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Jul 6 10:36:16 2013 +0000

    core: Allow NULL param in grl_date_time_from_iso_8601()

 src/grl-util.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 832b44295e45a1740420e00ba833fdb582ac6915
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Jul 4 12:04:40 2013 +0700

    Added Indonesian translation

 po/LINGUAS |   1 +
 po/id.po   | 186 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 187 insertions(+)

commit 06c6beea726c7c8ef24ab122dc2fcb95858b8b19
Author: Benjamin Steinwender <b@stbe.at>
Date:   Mon Jun 24 21:55:20 2013 +0200

    Updated German translation

 po/de.po | 75 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 36 insertions(+), 39 deletions(-)

commit d0f988a1de82c68e03b46ffe931681a6502c4b2c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jun 13 11:49:21 2013 +0200

    core: plug leaks

 src/grl-source.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d67561d3887ed60e68d190805eaae78e6b180cd9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jun 13 11:53:18 2013 +0000

    net: plug some leaks

 libs/net/grl-net-mock.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit f08caabfb7d4d1aa69eafef294bb55fcb6d65677
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Jun 14 19:56:19 2013 +0200

    net: re-structure code
    
    As we have rid of stable/unstable code due the new libsoup version
    requirement, let's merge some files.

 libs/net/Makefile.am       |   3 -
 libs/net/grl-net-mock.c    |   1 -
 libs/net/grl-net-private.c | 175 -----------------
 libs/net/grl-net-private.h |  95 ---------
 libs/net/grl-net-soup.c    | 356 ----------------------------------
 libs/net/grl-net-wc.c      | 471 ++++++++++++++++++++++++++++++++++++++++++++-
 po/POTFILES.in             |   4 +-
 7 files changed, 467 insertions(+), 638 deletions(-)

commit 00cd48417c047ef03fc8e991ed9367f2dda0df44
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Jun 14 16:59:34 2013 +0000

    net: Remove old code
    
    Bump libsoup2.4 minimal version requirement to 2.33.4, and get rid of code
    handling older versions.
    
    This simplifies the maintenance of code.

 configure.ac                     |   7 +-
 libs/net/Makefile.am             |  24 +--
 libs/net/grl-net-soup-stable.c   | 203 ----------------------
 libs/net/grl-net-soup-unstable.c | 356 ---------------------------------------
 libs/net/grl-net-soup.c          | 356 +++++++++++++++++++++++++++++++++++++++
 5 files changed, 363 insertions(+), 583 deletions(-)

commit f26b61d530a3608099f3ce62396a08308ec9c3bb
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Jun 16 23:30:25 2013 +0000

    build: Fix silent rules
    
    Remove silent.m4 file and use the system one.

 Makefile.am  |  2 +-
 m4/silent.m4 | 27 ---------------------------
 2 files changed, 1 insertion(+), 28 deletions(-)

commit d7174c0644b774741ea3a8f2a9ddc7e252ba50d4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jun 13 11:49:21 2013 +0200

    core: plug leak

 src/grl-source.c | 1 +
 1 file changed, 1 insertion(+)

commit d1d6c0c57896271b49b94ceb5432d2ef7dbd50b2
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jun 4 11:17:21 2013 +0200

    build: Use vala 0.16 in Travis CI

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 65bd32178cae65015b62036261d509254e9e06e1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jun 4 09:12:51 2013 +0000

    build: add Travis CI support
    
    Use Travis CI services to check Grilo is built correctly.
    
    https://travis-ci.org/Igalia/grilo

 .travis.yml | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit b17d995b68bcc882267a71dc62aeb7445de5da9f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jun 2 14:28:41 2013 +0300

    Added Lithuanian translation

 po/LINGUAS |   1 +
 po/lt.po   | 194 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 195 insertions(+)

commit 2db8e4b38ab2e6d0b9d1a981d6a642dc01167912
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jun 2 02:11:46 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 190 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 190 insertions(+)

commit eb134f41613c8af9b43d295b9f0d6b73bdf651a2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jun 2 02:11:44 2013 +0200

    Add nb

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 2faaf892fd6104b8f8b6bdbe73a403f3977c769a
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Thu May 30 14:10:48 2013 +0200

    Added German translation and updated LINGUAS

 po/LINGUAS |   1 +
 po/de.po   | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

commit f581f2a456e6dbec76742b8e862feecee58e36b0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue May 21 16:01:10 2013 +0200

    test-ui: Check if there is a reply from OAuth
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700478

 tools/grilo-test-ui/flickr-oauth.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 1353bcde648e35b5ce20c0135b32e841597601d0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat May 18 19:11:14 2013 +0000

    core: Fix some introspection warnings

 src/data/grl-related-keys.h | 2 +-
 src/grl-registry.h          | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 6ab0239a4ba4fabc7506c71104c555c14913b06a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu May 16 18:08:33 2013 +0000

    net: use different function to check cache
    
    In order to avoid bumping up the libsoup version required, do a slightly change
    in function that checks if cache is available.

 libs/net/grl-net-soup-unstable.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b78464d31f5160a80fa7b24f099a8b728ad993d6
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu May 16 10:24:08 2013 +0200

    Post-release version bump to 0.2.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54cccbef0f19770d92e2c5cd9d589657f75b5dbc
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu May 16 00:24:42 2013 +0200

    Release 0.2.6

 AUTHORS               |  1 +
 NEWS                  | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac          |  4 ++--
 src/data/grl-config.c |  4 ++--
 4 files changed, 52 insertions(+), 4 deletions(-)

commit 03e2472ca8951cd3668149b9ca6b8747f5d4cc49
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed May 15 22:47:14 2013 +0000

    build: fix distcheck

 tools/grilo-inspect/Makefile.am | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit b3a806e1091d79d0264b6ca39a5b7ffe75fa88b0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed May 15 21:37:31 2013 +0000

    test-ui: make liboauth a conditional dependency
    
    If liboauth is available, then add support in test-ui for authorizing Flickr
    personal accounts.

 configure.ac                    | 13 +++++++++----
 tools/grilo-test-ui/Makefile.am | 20 +++++++++++++++-----
 tools/grilo-test-ui/main.c      | 18 ++++++++++++++++++
 3 files changed, 42 insertions(+), 9 deletions(-)

commit 85c26ba5a52ec8b90e5984db50385dffd8ab066b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed May 15 21:40:57 2013 +0200

    net: ensure cache is created with the proper size
    
    This covers the case of deactivating and reactivating later the cache.
    As soon as we create it, we need to set the configured sized.

 libs/net/grl-net-soup-unstable.c | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 5140418233f2f8822c7e30e8353a155bb0a91aa7
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Tue May 14 17:34:47 2013 +0200

    test-ui: shutdown plugins on exit
    
    Unload plugins on program exit. The registry will call the finalize
    method on each plugin before the program ends to allow things like
    clearing the plugins HTTP cache.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700311

 tools/grilo-test-ui/main.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit 23fe14ed52ed620ded17d453419d560d314791e2
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Tue May 14 17:34:25 2013 +0200

    net: use a different cache per session
    
    The SoupCache is a SoupSessionFeature so it could only be attached
    to a single SoupSession. A new SoupCache is created for each
    SoupSession.
    
    Also the cache contents are now destroyed on finalize.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700311

 libs/net/grl-net-soup-unstable.c | 53 ++++++++++++++++++++++++++--------------
 1 file changed, 35 insertions(+), 18 deletions(-)

commit ab5db43b56f464d78a28f62202a6540e9d04c705
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Tue May 14 17:29:24 2013 +0200

    net: properly set the SoupCache max size
    
    The SoupCache expects the maximum size to be specified in bytes
    instead of in megabytes. Also removed the call to
    soup_cache_set_max_size just after creating the cache as it is not
    needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700310

 libs/net/grl-net-soup-unstable.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit cccd542bd94152939f412a5ca46b3407e5dc0334
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Apr 30 08:38:40 2013 +0000

    test-ui: Initialize variables

 tools/grilo-test-ui/main.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 21339e9723f62aee1c68bc341773388df52bc2b6
Author: Marek Chalupa <mchalupa@redhat.com>
Date:   Mon Apr 22 09:19:25 2013 +0200

    test-ui: use new flickr plugin
    
    flickr-auth.[ch] was replaced by their oauth alternatives and main.c was
    rewritten to use them.
    
    Into authenticate flickr popup window was added text entry to enter the
    verifier given by flickr.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697175
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 configure.ac                       |   8 +-
 tools/grilo-test-ui/Makefile.am    |   6 +-
 tools/grilo-test-ui/flickr-auth.c  | 257 ------------------------------
 tools/grilo-test-ui/flickr-auth.h  |  43 -----
 tools/grilo-test-ui/flickr-oauth.c | 317 +++++++++++++++++++++++++++++++++++++
 tools/grilo-test-ui/flickr-oauth.h |  90 +++++++++++
 tools/grilo-test-ui/main.c         |  44 +++--
 7 files changed, 449 insertions(+), 316 deletions(-)

commit b590157c45a14eb95c54091a75eb109cf1bcf438
Author: Marek Chalupa <mchalupa@redhat.com>
Date:   Mon Apr 22 09:19:25 2013 +0200

    core: add grl_config_get/set_api_token_secret()
    
    Two new functions added to grl-config.[ch], needed by oauth
    authentication proccess.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697175
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/data/grl-config.c | 35 +++++++++++++++++++++++++++++++++++
 src/data/grl-config.h | 21 +++++++++++++--------
 2 files changed, 48 insertions(+), 8 deletions(-)

commit 19f01a3cdbaf29b0b1c2929cbc66ca0d80866937
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 15 20:41:48 2013 +0000

    grl-inspect: Use format string literal

 tools/grilo-inspect/grl-inspect.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3ea15a4feca73acc5c43466d13c0a1d4e2eb5a61
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Apr 14 21:29:25 2013 +0000

    grl-inspect: Show information about keys

 tools/grilo-inspect/grl-inspect.c | 125 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 125 insertions(+)

commit 1fef17ed2f87ba09dc520be9d305d644dac5deb8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Mar 27 19:14:31 2013 +0000

    grl-inspect: Show more information about sources

 tools/grilo-inspect/grl-inspect.c | 57 ++++++++++++++++++++++++++++++++-------
 1 file changed, 47 insertions(+), 10 deletions(-)

commit ed556e13bfc817982f5d04ca4f2a8ba01f41ae83
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Mar 27 18:17:52 2013 +0000

    grl-inspect: Group sources by plugin, and sort alphabetically

 tools/grilo-inspect/grl-inspect.c | 68 +++++++++++++++++++++++++++++----------
 1 file changed, 51 insertions(+), 17 deletions(-)

commit 88bb9eb3a01242d4e41cc705d1311371f5ee7fb8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Mar 25 00:30:01 2013 +0000

    grl-inspect: Print list of available keys

 configure.ac                      |  1 +
 src/grl-metadata-key.h            |  2 +-
 tools/grilo-inspect/Makefile.am   |  9 ++++-
 tools/grilo-inspect/grl-inspect.c | 77 +++++++++++++++++++++++++++++++++++----
 4 files changed, 79 insertions(+), 10 deletions(-)

commit b65c75f8eb8f6926317319b126c586d6d2e6d1d0
Author: Miguel Rodriguez Núñez <bokerones.fritos@gmail.com>
Date:   Fri Apr 12 12:00:06 2013 +0200

    Updated Spanish translation

 po/es.po | 35 ++++++++++++++++++-----------------
 1 file changed, 18 insertions(+), 17 deletions(-)

commit aa7ed956d9a8f7ce86eb72dbbdd370ffc2a27f62
Author: Miguel Rodriguez Núñez <bokerones.fritos@gmail.com>
Date:   Thu Apr 11 18:10:38 2013 +0200

    Updated Spanish translation

 po/LINGUAS |   1 +
 po/es.po   | 195 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 196 insertions(+)

commit 10a5a033afc3dd745df5d42e87676b197c0b1c1e
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Apr 10 02:55:17 2013 -0300

    Added Brazilian Portuguese translation

 po/LINGUAS  |   1 +
 po/pt_BR.po | 193 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

commit 46eab031ff7c871f16fbbf67d9cddddae7b6cf85
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 3 20:25:28 2013 +0200

    test-ui: Update for filesystem plugin changes
    
    Update for filesystem plugin changes (base-path -> base-uri), and
    add recent:/// to the list, as an example.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696860

 tools/grilo-test-ui/main.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 623030e83ec0764389a3035145235d7cd32accf8
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Mon Apr 8 17:22:53 2013 +0500

    Added new Tajik translation

 po/LINGUAS |   1 +
 po/tg.po   | 192 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+)

commit 28ab8282d0a5cf8a99d5b5789fd0495336aa2194
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Wed Apr 3 13:52:10 2013 +0300

    Added Greek translation

 po/LINGUAS |   1 +
 po/el.po   | 196 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 197 insertions(+)

commit 9f1e16c529d4fd661e62e63fe24d7863300b29ff
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Fri Mar 29 15:49:47 2013 +0100

    Updated Slovenian translation

 po/sl.po | 85 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 44 insertions(+), 41 deletions(-)

commit 94b71dfae524d6c475e69c0505fc726702a2b9b8
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Mar 28 09:54:52 2013 +0100

    Added Czech language

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 105e7293416719b46f674d018b83755828077e63
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Mar 28 09:54:35 2013 +0100

    Czech translation

 po/cs.po | 194 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 194 insertions(+)

commit c1e9b86a2ac8a75acae1c256960ae07f4300d466
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Mar 25 00:35:02 2013 +0000

    grl-inspect: Wait 1 second before showing results
    
    Wait for sources that are created asynchronously to be active before inspecting
    them.

 grl-inspect.1                     |  1 +
 tools/grilo-inspect/grl-inspect.c | 10 +++-------
 2 files changed, 4 insertions(+), 7 deletions(-)

commit 53ab14ac90617c8b320d2251f4dfe1f6cfa43e95
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Mar 24 23:15:18 2013 +0100

    Added galician translations

 po/LINGUAS |   1 +
 po/gl.po   | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

commit 687be38de1a3eab699744951d5d0a03b6bf37bfa
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Mar 24 07:47:45 2013 +0100

    Added Serbian translation

 po/LINGUAS     |   3 +-
 po/sr.po       | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 193 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 388 insertions(+), 1 deletion(-)

commit 5fd04c7ef80be58626c2cf1e0c670e82dabd84ae
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Mar 23 22:55:30 2013 +0000

    core: Improve grl_date_time_from_iso8601()
    
    Handle more date precisions: YYYY, YYYY-MM, YYYY-MM-DD, YYYYMMDD.

 src/grl-util.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 47ecd0ce2d53b119f737bf580695240a2a2c59ad
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Mar 23 02:29:46 2013 +0100

    Updated Slovenian translation

 po/sl.po | 32 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 17 deletions(-)

commit dcb6a00c4906a3ec50d2a71c8a763a5797eadcee
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Mar 23 02:26:43 2013 +0100

    Added sl for Slovenian translation

 po/LINGUAS | 2 ++
 1 file changed, 2 insertions(+)

commit 8f36e9c9a4be1e29d738df0e0ca6812d34052086
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Mar 23 02:25:26 2013 +0100

    Added Slovenian translation

 po/sl.po | 200 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 200 insertions(+)

commit 4d71d5ab698e3f944c8856effa845e89abdce9c2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 22 23:28:17 2013 +0100

    Added Polish translation

 po/LINGUAS |   1 +
 po/pl.po   | 197 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 198 insertions(+)

commit e1959c237fcf75721267b6be13118fd7558c9c87
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Mar 18 19:20:56 2013 +0100

    i18n: Add support for internationalization

 Makefile.am                      |  2 +-
 configure.ac                     | 13 +++++++------
 libs/net/Makefile.am             |  1 +
 libs/net/grl-net-mock.c          |  7 ++++---
 libs/net/grl-net-private.c       | 17 +++++++++--------
 libs/net/grl-net-soup-stable.c   |  2 +-
 libs/net/grl-net-soup-unstable.c |  7 ++++---
 po/LINGUAS                       |  0
 po/POTFILES.in                   |  8 ++++++++
 src/Makefile.am                  |  1 +
 src/grilo.c                      | 16 +++++++++++-----
 src/grl-multiple.c               | 15 +++++++++++----
 src/grl-registry.c               | 40 ++++++++++++++++++++++------------------
 src/grl-source.c                 | 21 +++++++++++++--------
 14 files changed, 93 insertions(+), 57 deletions(-)

commit 35cfddb88d6240dd5a8acbc132d6ccd4c1e5570f
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Wed Mar 20 19:55:02 2013 +0100

    vala: Add support for Vala 0.20

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df8e6103c5efd11b162c3bfbd772bd334d4ae5b2
Author: Alberto Garcia <agarcia@igalia.com>
Date:   Wed Mar 20 12:27:45 2013 +0200

    core: Fix compiler warning
    
    gcc complains about 'unknown_keys' being possibly uninitialized when
    media_decorate() is called from queue_add_media().
    
    That probably happens because gcc cannot guarantee that
    g_queue_push_tail() doesn't modify qlement->is_ready.

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74315e28c9bd0c2fbbbcba33d87c9935a20c3fc6
Author: Alberto Garcia <agarcia@igalia.com>
Date:   Wed Mar 20 12:27:34 2013 +0200

    core: Fix uninitialized variable in grl_registry_preload_plugin()
    
    If the plugin XML file can't be read in grl_registry_preload_plugin(),
    the function returns an uninitialized pointer instead of NULL.

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9a756f9dd66657c0ceaab556c466c1dc3590404
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Mar 19 12:18:59 2013 +0000

    Post-release version bump to 0.2.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2a266541c6e1873686320b37c6b29576d255eac
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Mar 19 12:13:04 2013 +0000

    Release 0.2.5

 AUTHORS      |  1 +
 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  4 ++--
 3 files changed, 27 insertions(+), 2 deletions(-)

commit 1c2a33adb18d25b9214c3a9859e72bf3bc01af0d
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Feb 21 15:39:28 2013 -0600

    core: Fix double-free protection assert when unloading a plugin twice
    
    When calling g_module_close() twice on the same module, it throws a
    g_return_if_fail() assertion stating ref_count > 0 fails. It's
    effectively like g_object_unref().
    
    This patch prevents g_module_close() being called twice on the same
    module by unsetting it from the plugin instance when closing it
    in grl_registry_unload_plugin().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694390

 src/grl-registry.c | 1 +
 1 file changed, 1 insertion(+)

commit 2958b268b7fbffaf70740856784913b252f13527
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Feb 7 12:36:49 2013 +0000

    core: Check options when decorating a media
    
    When decorating a media (adding missing keys in content from browse/search
    operations), make sure that the source involved in decoration gets the proper
    supported options.

 src/grl-source.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 6dfc79c20bf33f0df483452ae6a4bd0f757177e9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jan 30 18:52:42 2013 +0100

    core: Skip browsed source from resolvable sources
    
    When a key cannot be solved in a browse/search operation, we ask other
    sources that implement resolve() and that can be solve that key to get
    its value (only when GRL_RESOLVE_FULL is true).
    
    But it can happen that the key is supported by the source in the
    browse/search operation, only that for the result it doesn't have a
    value. Thus, when looking for sources implementing resolve() for that
    key, we need to skip the browsed source, as we know it doesn't have a
    value for the key.

 src/grl-source.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a719f69707f4031917d98458966156ad12ac7d7e
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Wed Jan 30 06:29:03 2013 -0600

    grl-source: Fix leak of GrlOperationOptions in _get_media_from_uri()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692873

 src/grl-source.c | 1 +
 1 file changed, 1 insertion(+)

commit e02a934699535e1b6eed5f6ca2fd3bd5a75f3aa1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jan 23 18:56:17 2013 +0000

    core: Try next source if previous couldn't resolve a key
    
    The code was almost correct: there was a comment saying "try next source", but
    seems we forgot to execute the "get next source".

 src/grl-source.c | 1 +
 1 file changed, 1 insertion(+)

commit 6272f77a076f965835dba7776b5c08ec90199f58
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   Sat Jan 19 11:26:16 2013 +0100

    build: Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692118

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5d4cdd7edc2233c8753189b16f87bec3569ec3ec
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jan 15 11:42:19 2013 +0000

    net: SoupRequester is deprecated for libsoup >= 2.41.3
    
    Use SoupSession instead.

 configure.ac                     |  6 ++++++
 libs/net/Makefile.am             |  5 +++++
 libs/net/grl-net-private.h       |  2 ++
 libs/net/grl-net-soup-unstable.c | 17 ++++++++++++++++-
 4 files changed, 29 insertions(+), 1 deletion(-)

commit 68a5d15c86d99393c173fe3254fcc4d7a228bdd7
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Jan 15 10:59:57 2013 +0000

    grl-inspect: Fix a couple of warnings
    
    Use void parameter for non-parametrized functions.

 tools/grilo-inspect/grl-inspect.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 75380838229a1dbb0e504bb96b2bd550349599a9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Jan 5 19:41:02 2013 +0100

    test-ui: Show multi-valued elements
    
    For all the keys with several values, show all them separated by comma.

 tools/grilo-test-ui/main.c | 27 +++++++++++++++++++++++----
 1 file changed, 23 insertions(+), 4 deletions(-)

commit 057b849c9659534ff51c7a0597815eb174013fd8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 21 14:49:47 2012 +0100

    core: Downgrade init failure to a debug statement
    
    It's quite common for plugin load to fail when it lacks the
    necessary API keys, especially when the plugin type isn't
    supported by the application.
    
    Eg. we don't want Totem to warn if it cannot load the Flickr
    plugin that it will not be using.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690613
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3529dd4212043b2fb962410e414f65e76cdcdbb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 21 14:39:45 2012 +0100

    core: Explain why module could not be loaded
    
    Note that g_module_error() already contains the filename that
    failed to be loaded.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690612

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d72ae5c147bd8cbce04a156d210b9e370c91277
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Dec 16 12:42:42 2012 +0000

    test-ui: Allow filtering by type in any source
    
    Allows to select the kind of desired content for any source and operation.
    
    If the source or operation can't filter the content, then it will be ignored
    and all content retrieved.

 tools/grilo-test-ui/main.c | 116 ++++++++++++++++-----------------------------
 1 file changed, 40 insertions(+), 76 deletions(-)

commit 4cec1fd081cd4c9d0d501ab70f9f8d55a4918795
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Dec 16 12:39:10 2012 +0000

    test-ui: Fix some warnings

 tools/grilo-test-ui/main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f3917fa0a40ce257874947c38a42a49685c0b656
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Dec 5 17:27:34 2012 +0000

    core: Notify when an operation is performed over invalid operation_id
    
    It is actually done, but no message is actually shown to developer.

 src/grl-operation.c | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit ad073a62533df5782ba231e282399806d998eff0
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Mon Dec 3 15:39:03 2012 -0800

    build: fix passing arguments to gnome-autogen.sh from autogen.sh
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689577

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b994ca21a5e441d6a86dd65495cc9c5774263ac2
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Nov 30 16:52:39 2012 +0100

    Post-release version bump to 0.2.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cddf75e3ca028dcada3e0029a5de4787ef027f9e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Nov 30 15:17:37 2012 +0000

    Release 0.2.4

 AUTHORS      |  1 +
 NEWS         | 17 +++++++++++++++++
 configure.ac |  4 ++--
 3 files changed, 20 insertions(+), 2 deletions(-)

commit bdeb52ad5d2e79f262bbbc030fd7a292bcc59252
Author: Andrzej Bieniek <andyhelp@gmail.com>
Date:   Sun Nov 25 10:18:03 2012 +0000

    grl-source: fixed compare_queue_element function
    
    Function should return 0 only when elements are equal.
    
    compare_queue_element function was returning 0 every time qelement->media pointer was higher or equal media pointer (qelement->media < media).
    It worked couple of times then failed, depends where memory was allocated.
    When it failed, wrong element in BrowseRelayCb::queue was marked as ready (in media_ready_cb).
    As a consequence grilo locked up not returning all elements in grl_source_browse call.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689053

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7ad806faf1bc5d600c5555e67783ea1c34894cc
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Wed Nov 14 10:21:30 2012 +0100

    docs: Grammar correction: got

 examples/browsing.c  | 2 +-
 src/data/grl-media.c | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c02863d75a6332a982ed48d18941a47f2de69c39
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Wed Nov 14 10:13:27 2012 +0100

    docs: GrlMedia: Improve certificate/region function docs
    
    Based on https://bugzilla.gnome.org/show_bug.cgi?id=679686#c14
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688301

 src/data/grl-media.c | 35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

commit 51e7a16031a0f5b31cd7a840bb4cfb995af64086
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Nov 13 23:13:14 2012 +0000

    core: Extend supported keys in the filters
    
    Include gboolean, gfloat and GDateTime keys in the supported keys for defining
    filters.

 src/grl-operation-options.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 5ac3cfa53f1d67590c02240147ee0334316f924f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Nov 13 23:12:12 2012 +0000

    core: set source_id if really needed
    
    Only insert the source_id in the media if actually the source didn't insert it.

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 313cbc583ec5620a4224d83950b6ced0ff9a60cb
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Tue Nov 13 10:27:41 2012 +0100

    docs: Fix grammar in plugins-testing

 doc/grilo/plugins-testing.xml | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 87a9dda4c5dfcfcf1c533672e342666faaa0c7d5
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Thu Nov 8 19:45:44 2012 +0100

    Fix compilation with gcc 4.2
    
    grl-net-mock.c: In function 'init_mock_requester':
    grl-net-mock.c:206: error: 'for' loop initial declaration used outside C99 mode

 libs/net/grl-net-mock.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6934ae3e441dc52b55425894605168ac9ab3b655
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 8 15:11:03 2012 +0000

    Post-release version bump to 0.2.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d84c8d1ead2e4a363782214106efe388ab955244
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 8 14:59:41 2012 +0000

    Release 0.2.3

 NEWS                        | 41 +++++++++++++++++++++++++++++++++++++++++
 configure.ac                |  4 ++--
 src/data/grl-data.c         |  2 ++
 src/data/grl-media.h        |  2 ++
 src/data/grl-related-keys.c |  6 ++++++
 src/grl-source.c            |  2 ++
 6 files changed, 55 insertions(+), 2 deletions(-)

commit 3a3642b26e59d7f56a6940faa684e4fa6ca70aa0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Nov 4 12:55:02 2012 +0000

    build: Handle grl-net-mock-private.h file
    
    Include it in Makefile.am

 libs/net/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5a64d1f579bd54944c3948bb3d97b5fcb4c59748
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Oct 29 18:02:17 2012 +0000

    core: Add "supported-media" property
    
    This property flag for GrlSource specifies the type of media the source can
    deal with.
    
    Thus, if our application is designed to show video content only, we could
    discard all sources not providing this kind of media.
    
    The default value for this property, if not specified, is GRL_MEDIA_TYPE_ALL.

 doc/grilo/grilo-sections.txt |  1 +
 src/Makefile.am              |  2 +-
 src/data/grl-media.h         | 17 +++++++++++++++++
 src/grl-source.c             | 43 ++++++++++++++++++++++++++++++++++++++++++-
 src/grl-source.h             |  2 ++
 5 files changed, 63 insertions(+), 2 deletions(-)

commit 1cdab86dbc6fccfc783ca44213d645b67c00fb43
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 1 09:22:46 2012 +0100

    test-ui: Use the right options in search/query operations
    
    It fixes a small bug that meant operations not really finishing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687104

 tools/grilo-test-ui/main.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dacefd96bcfcbf1f1156bea0b17d2c2dbf9da35a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Nov 3 00:41:27 2012 +0000

    core: core: Serialize/unserialize multivalued metadata keys

 src/data/grl-media.c | 131 ++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 104 insertions(+), 27 deletions(-)

commit c444d7c829b96c83d1679233c953a3dfc328528e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Nov 2 16:55:15 2012 +0000

    core: Handle boolean values in GrlRelatedKeys

 src/data/grl-related-keys.c | 44 ++++++++++++++++++++++++++++++++++++++++++++
 src/data/grl-related-keys.h |  7 +++++++
 2 files changed, 51 insertions(+)

commit fe2409ee0e395af0bb2588d249f877f9e023812c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Nov 2 16:53:35 2012 +0000

    core: Add API to remove a key from GrlRelatedKeys set

 src/data/grl-related-keys.c | 17 +++++++++++++++++
 src/data/grl-related-keys.h |  3 +++
 2 files changed, 20 insertions(+)

commit f223ef8ed8ba73bedf3e00e38839927bce1236c8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 1 22:41:15 2012 +0000

    core: Serialize/unserialize GDateTime metadata keys
    
    Dates are encoded as iso8601 format.

 src/data/grl-media.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit b6dd0e651ce0e65ae867f424dca60e87b88fab77
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 1 11:37:17 2012 +0000

    core: Serialize/unserialize binary metadata keys
    
    Values are encoded as (escaped) base64.

 src/data/grl-media.c | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit 64da840144713035efe0525bbc7bcbdafc08ed1e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Nov 1 10:29:48 2012 +0000

    core: Serialize/unserialize gboolean metadata keys

 src/data/grl-media.c | 5 +++++
 1 file changed, 5 insertions(+)

commit ae6327ba4a73bf426b6ec230491e9e7f6bf63121
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Tue Oct 23 22:44:10 2012 +0200

    core: Add generic metadata keys from TMDB
    
    The TMDB plugin defines a few new metadata keys of generic
    interest. They should be moved to Grilo's core to make such
    data easier to use once other sources should provide
    similiar information.
    
    This introduces following new keys together with generated
    GrlMedia accessors:
    
      * GRL_METADATA_KEY_KEYWORD
      * GRL_METADATA_KEY_PERFORMER
      * GRL_METADATA_KEY_PRODUCER
      * GRL_METADATA_KEY_DIRECTOR
      * GRL_METADATA_KEY_ORIGINAL_TITLE
    
    All keys are defined as strings and there are no relations
    between them. Except for "original-title" all of those keys
    are multi-valued. All keys but "keyword" are video specific
    keys.
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=686206
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 bindings/vala/grilo-0.2-custom.vala |  10 ++
 doc/grilo/grilo-sections.txt        |  18 +++
 src/data/grl-media-video.c          | 264 ++++++++++++++++++++++++++++++++++++
 src/data/grl-media-video.h          |  38 ++++++
 src/data/grl-media.c                |  79 +++++++++++
 src/data/grl-media.h                |   8 ++
 src/grl-metadata-key.c              |  47 ++++++-
 src/grl-metadata-key.h              |   5 +
 8 files changed, 468 insertions(+), 1 deletion(-)

commit 9066efc21bd9431e26ce385c99267332194dba0c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Oct 29 17:58:14 2012 +0000

    build: Install 64bit libraries in proper place
    
    In case 'libdir' is not specified, select lib or lib64 depending on the
    machine.

 configure.ac | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 419ba810524c534c52845d9305f44d607488a986
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 18:46:43 2012 +0200

    net: Enable proper log domain for mocking

 libs/net/grl-net-mock.c | 1 +
 1 file changed, 1 insertion(+)

commit 7034107d86094462c32284d804d35517c4ed1e90
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 18:42:05 2012 +0200

    net: Call init_mock_requester before init_requester
    
    Captured must check if mocking got enabled.

 libs/net/grl-net-wc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b86f5b56e400780c8b0e61982a8bef5a66de542
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 18:40:49 2012 +0200

    net: Add version field to captured mock config

 libs/net/grl-net-mock-private.h | 1 +
 libs/net/grl-net-mock.c         | 4 +---
 libs/net/grl-net-private.c      | 7 ++++++-
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 2e748c970f4c8d58c7e0da51e0e31390b572197e
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 18:27:03 2012 +0200

    net: Don't capture while mocking is enabled

 libs/net/grl-net-private.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit dc32625d1ae955eacb9c9f05813bd26751cce1ab
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 17:09:15 2012 +0200

    net: Use MD5 sum instead of URL in capture files
    
    Some services use extraordinary long URL that exceed file system limits

 libs/net/grl-net-private.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 9737eb32eb18aa93c20b0f6daf6e2d36708ef48f
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 16:03:06 2012 +0200

    net: Remove bogus assignment
    
    Lesson learned: Alway commit from IDE, so that you don't forget saving.

 libs/net/grl-net-mock.c | 2 --
 1 file changed, 2 deletions(-)

commit 499b0d4175107f06e9816238a9c4b75794e22618
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 15:33:57 2012 +0200

    net: Update author tag

 libs/net/grl-net-mock.c    | 1 +
 libs/net/grl-net-private.c | 1 +
 libs/net/grl-net-wc.c      | 1 +
 3 files changed, 3 insertions(+)

commit ddb0065aa12b0df2b4a3db1770d816039438c38b
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 15:28:38 2012 +0200

    net: Don't fallback to "grl-net-mock-data.ini"
    
    Just print a warning and disable mocking if the specified mock response file
    cannot be found.

 libs/net/grl-net-mock.c | 23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

commit e3169e267a04258342f677b64b5ccb0072a96b12
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 22 15:21:44 2012 +0200

    net: Don't check GRL_NET_MOCKED for boolean values
    
    It's a pure filename now.

 libs/net/grl-net-mock.c | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit 7fcd4e3cebe2cf58b95d4fef5b6ff3bb74d33306
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Sat Oct 20 22:01:42 2012 +0200

    net: Simplify GRL_NET_MOCKED variable
    
    Always set throttling to zero in mocking mode.

 doc/grilo/plugins-testing.xml   | 22 +++--------------
 libs/net/grl-net-mock-private.h |  3 ---
 libs/net/grl-net-mock.c         | 52 +++++++++--------------------------------
 libs/net/grl-net-wc.c           |  8 ++-----
 4 files changed, 16 insertions(+), 69 deletions(-)

commit eda45f27016c19c9b71094d6635c6893b4f31065
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Sat Oct 20 21:55:38 2012 +0200

    net: Always dipatch requests trough event loop
    
    This is to ensure consistent execution context for instant and for
    non-delayed web requests.

 libs/net/grl-net-wc.c | 52 ++++++++++++++++++++++++++-------------------------
 1 file changed, 27 insertions(+), 25 deletions(-)

commit e9d947579effd34c459463461f652c945b806b62
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Fri Oct 19 00:05:10 2012 +0200

    docs: Improve description of "ignored-parameters" mocks setting

 doc/grilo/plugins-testing.xml | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit ca7cda0626a1003c06be0b645dc46c30f931f738
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 23:56:00 2012 +0200

    net: -Rename grl-net-mock.h to grl-net-mock-private.h
    
    In general grilo uses the suffix "-private" for all the headers that
    contain private functions. So it is easier to know if the functions are
    public or not.

 libs/net/grl-net-mock-private.h | 58 +++++++++++++++++++++++++++++++++++++++++
 libs/net/grl-net-mock.c         |  2 +-
 libs/net/grl-net-mock.h         | 58 -----------------------------------------
 libs/net/grl-net-wc.c           |  2 +-
 4 files changed, 60 insertions(+), 60 deletions(-)

commit c43ab603e701b82365c602ea45a8550eccbed963
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 23:53:37 2012 +0200

    net: Put the timestamp before the URL in the captured file
    
    So it is easier to sort the results in chronological order.
    Also use monotonic instead of real time for exactly the same purpose.

 libs/net/grl-net-private.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ac2c27e5796d05c45de1c71fc29f6cbf52f811ff
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 23:52:14 2012 +0200

    net: Add PID to captured .ini file, as grl-net-mock-data-%PID.ini
    
    Thus, we can run several times the application and
    capture the data without loosing previous captures.

 libs/net/grl-net-private.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit c5e6f4457749e2719d3d96c02e7e3fd9b5ace1e3
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 23:47:22 2012 +0200

    net: Set config file and throttling via GRL_NET_MOCKED
    
    Also rename grl-mock-data.ini to grl-net-mock-data.ini, to make it clear
    this data is for grl-net mocking.

 doc/grilo/plugins-testing.xml |  24 +++++---
 libs/net/grl-net-mock.c       | 128 +++++++++++++++++++++++-------------------
 libs/net/grl-net-mock.h       |   2 +-
 libs/net/grl-net-wc.c         |  10 +++-
 4 files changed, 93 insertions(+), 71 deletions(-)

commit 69cd8b2aea79c0d3264cb5d338b25ef2cfb44c07
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 22:53:11 2012 +0200

    net: Parse GRL_NET_MOCKED only once upon initialization

 libs/net/grl-net-mock.c | 22 ++++++++++++++--------
 libs/net/grl-net-mock.h |  2 ++
 2 files changed, 16 insertions(+), 8 deletions(-)

commit fdef04fad5d04cca8c94af3f32b960391ea3e2d8
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 22:41:45 2012 +0200

    net: Use GRL_NET_CAPTURE_DIR instead of GRL_WEB_CAPTURE_DIR

 doc/grilo/plugins-testing.xml | 2 +-
 libs/net/grl-net-private.c    | 2 +-
 libs/net/grl-net-private.h    | 3 +++
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 0c83dc1ada265c0899e232e323637f843bdb24f5
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 22:39:19 2012 +0200

    net: Print warning when the dump directory can't be initialized
    
    ...so the user is aware dump won't take place.

 libs/net/grl-net-private.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit cfd03645f0fe06101cc058ac037306a00c893e43
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 18 22:36:42 2012 +0200

    net: Move G_GNUC_INTERNAL declaration to follow documented advice.

 libs/net/grl-net-mock.h    | 18 +++++++++++++-----
 libs/net/grl-net-private.h |  6 ++++--
 2 files changed, 17 insertions(+), 7 deletions(-)

commit 30fd031b8f1dab6b56a9c4fe5e6d0157fdf1d0e7
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Fri Oct 12 01:53:56 2012 +0200

    log: Don't barf about missing grl-mock-data.ini all the time

 libs/net/grl-net-mock.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c0bf2395e4c2886757755d8d5f4fe1e8218c431c
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 22:16:05 2012 +0200

    net: Permit unthrottled mock sessions.

 doc/grilo/plugins-testing.xml | 6 ++++++
 libs/net/grl-net-mock.c       | 9 +++++++++
 libs/net/grl-net-mock.h       | 1 +
 libs/net/grl-net-wc.c         | 5 +++--
 4 files changed, 19 insertions(+), 2 deletions(-)

commit 34ade4c38966a4c8d74525344e21dff1732a843d
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 21:32:48 2012 +0200

    net: Move mocking docs into API docs

 doc/grilo/plugins-testing.xml | 84 +++++++++++++++++++++++++++++++++++++++++++
 libs/net/grl-net-mock.c       | 39 --------------------
 2 files changed, 84 insertions(+), 39 deletions(-)

commit 6886dd7ad9bf916edfc2e7506716a828739f725f
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 21:07:43 2012 +0200

    net: Build grl-mock-data.ini from captured web requests.

 libs/net/grl-net-private.c | 39 ++++++++++++++++++++++++++++-----------
 1 file changed, 28 insertions(+), 11 deletions(-)

commit 002764011f840821f18264d36f7e001aebdc8464
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 20:55:48 2012 +0200

    net: Use g_build_filename() for building capture file name.

 libs/net/grl-net-private.c | 36 ++++++++++++++++++++++--------------
 libs/net/grl-net-private.h |  2 +-
 2 files changed, 23 insertions(+), 15 deletions(-)

commit 93d7a8730c5f321ad5ef7b9471997368b4b12eec
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 20:48:53 2012 +0200

    net: Sanitize GRL_WEB_CAPTURE_DIR handling

 libs/net/grl-net-private.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 1ff3504eff00b9654386a5448a80ffaae5d333fd
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 20:43:33 2012 +0200

    net: Make GRL_NET_MOCKED more intuitive

 libs/net/grl-net-mock.c | 12 ++++++++++++
 libs/net/grl-net-mock.h |  4 +---
 libs/net/grl-net-wc.c   |  8 ++++----
 3 files changed, 17 insertions(+), 7 deletions(-)

commit 750df2abc87f84bb81bc4034eb7f762f9003e5f1
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 20:38:08 2012 +0200

    net: Change ignore-parameters into ignored-parameters

 libs/net/grl-net-mock.c | 60 +++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 48 insertions(+), 12 deletions(-)

commit edd29e1ae7d68f468570ca1b47f866ba40725096
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Oct 11 20:25:21 2012 +0200

    net: Set proper logging domain

 libs/net/grl-net-private.h | 3 +++
 libs/net/grl-net-wc.c      | 1 -
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 7b168fcff60cdaf99f5967d0754777793c64bbcc
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 11 15:09:09 2012 +0200

    net: Support mocking of network answers
    
    Mock network answers of webservices through predefined files. This is useful
    for offline testing of plug-ins that provide sources from webservices. See the
    header of libs/net/grl-net-mock.c for full documentation.

 libs/net/Makefile.am             |   3 +-
 libs/net/grl-net-mock.c          | 262 +++++++++++++++++++++++++++++++++++++++
 libs/net/grl-net-mock.h          |  49 ++++++++
 libs/net/grl-net-private.c       |  43 +++++++
 libs/net/grl-net-private.h       |   4 +
 libs/net/grl-net-soup-stable.c   |   6 +-
 libs/net/grl-net-soup-unstable.c |   5 +
 libs/net/grl-net-wc.c            |  24 +++-
 8 files changed, 390 insertions(+), 6 deletions(-)

commit ee5513f6303412a0d3e7c4ccf2dcbd43132f8405
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Tue Oct 16 20:48:46 2012 +0200

    Add region tags for publication and certification
    
    Both TMDB and IMDB publish region specific information for this metadata.
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=679686

 bindings/vala/grilo-0.2-custom.vala |   2 +
 doc/grilo/grilo-sections.txt        |   7 ++
 src/data/grl-media.c                | 156 +++++++++++++++++++++++++++++++++++-
 src/data/grl-media.h                |  24 ++++++
 src/grl-metadata-key.c              |  16 +++-
 src/grl-metadata-key.h              |   1 +
 6 files changed, 202 insertions(+), 4 deletions(-)

commit 178f46ac39ae25940ec2d3c2204928639c6ff5e3
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Oct 19 17:18:04 2012 +0000

    core: Sources always accept store_metadata()
    
    When the operation is performed with a source that does not implement the
    operation, if GRL_WRITE_FULL was specified core will follow with other sources;
    otherwise it will notify the operation failed for all the specified keys (if
    developer has passed a callback).

 src/grl-source.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 103d87b19490e475e9d64ccbe90cb26958708649
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Oct 19 15:52:26 2012 +0000

    core: Sources always accept resolve() operation
    
    If the source does not implement resolve(), but the user requested the
    FULL_RESOLVE flag, then Grilo will use other sources to satisfy the query.
    
    If the source does not implement resolve(), and user did not specified
    FULL_RESOLVE, then the same media without changes will be sent through the
    callback.
    
    This way, when a developer wants to solve a key not supported by the source, if
    it neither supports resolve() then they do not need to search for a source
    supporting resolve() and the key; developer can simply invoke resolve() with
    the same source, specifying FULL_RESOLVE flag so the core does the job.

 src/grl-source.c           | 51 ++++++++++++++++++++++++++++++----------------
 tools/grilo-test-ui/main.c | 19 ++++++-----------
 2 files changed, 39 insertions(+), 31 deletions(-)

commit 751a7a2cde3ea007bd2871aef2e0005e551ab485
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Oct 19 10:01:02 2012 +0000

    core: g_type_init() is deprecated
    
    For glib >= 2.35.0.

 src/grilo.c | 2 ++
 1 file changed, 2 insertions(+)

commit 47dc2a401577edf80b3521dff478c2aa687c38ba
Author: Antía Puentes <apuentes@igalia.com>
Date:   Wed Oct 10 12:17:35 2012 +0200

    core: Add the 'favourite' metadata property
    
    The new property indicates if an item was marked as
    favourite or not.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685861

 src/data/grl-media.c   | 29 +++++++++++++++++++++++++++++
 src/data/grl-media.h   |  4 ++++
 src/grl-metadata-key.c |  9 +++++++++
 src/grl-metadata-key.h |  1 +
 4 files changed, 43 insertions(+)

commit 6269a37296d3021bc4b8f602130e6e1c37d8ab3f
Author: Antía Puentes <apuentes@igalia.com>
Date:   Wed Oct 10 12:17:23 2012 +0200

    core: Add support for boolean data in GrlData
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685861
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/data/grl-data.c | 41 +++++++++++++++++++++++++++++++++++++++++
 src/data/grl-data.h |  4 ++++
 2 files changed, 45 insertions(+)

commit 924cdd3718d9af87b702a9ffe65fce7055ae17bf
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Wed Oct 17 10:22:09 2012 +0200

    object-introspection: reference libgrilo-0.2.la while building GrlNet.gir
    
    Fixes bug BGO#686271.

 libs/net/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c00110039430b6f359ba780b5b281b9f1b8eeae3
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Oct 18 16:57:09 2012 +0200

    core: Check valid options in operations
    
    This is the right fix bug #686033, instead of commit
    52da21f5443079f.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686033

 src/grl-source.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 073216ae6b133a47444b029a96a339a98ab3fa64
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Wed Oct 17 13:15:43 2012 +0200

    core: Set proper GValue type in grl_related_keys_set_boxed()

 src/data/grl-related-keys.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52da21f5443079fb0d5d049c38e127925281802f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Oct 17 09:11:05 2012 +0000

    core: Check valid options in operations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686033

 src/grl-source.c | 1 +
 1 file changed, 1 insertion(+)

commit 7619eb238a375652ab89ec3012984751a3cf975d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 12 15:31:07 2012 +0200

    doc: Fix typo in _grl_log_init_core_domains()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686032

 src/grl-log.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28049b1d2990382a4de28b5b1affa9c312ee134c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 16 11:25:43 2012 +0000

    core: Do not access freed structure
    
    Save the value in a variable because the struct can be freed.

 src/grl-source.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bf0e0197a8e5964d9e92737edbe36f5001a9cbee
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 16 12:49:39 2012 +0200

    core: Fix annotation in GrlStoreCb
    
    failed_keys list is owned by the caller. Callback shouldn't free it.

 src/grl-source.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44abc6be32a8689e890f50b77a6301dd83257cab
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 9 11:57:59 2012 +0000

    test-ui: Fixed a crash when searching in all sources
    
    Unreffing a variable in wrong place.

 tools/grilo-test-ui/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94c804d2d6a97398e8c80f66588b88ab4cd56757
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 9 10:10:17 2012 +0000

    test-ui: Add API key for TMDb plugin
    
    Just for test purpose!

 tools/grilo-test-ui/main.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 62b01582e01c0e462433950f1976cd28781c665e
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Mon Oct 8 11:45:51 2012 +0200

    duration: Document this as seconds

 src/grl-metadata-key.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 526d5ee3f1f8018ab4323b87c81e0f8e1abd233a
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Mon Oct 8 10:13:23 2012 +0200

    --author=Murray Cumming <murrayc@openismus.com>

 src/grl-metadata-key.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a6baa038b4ab344f3c9768f251d6865197ddd9b9
Author: Murray Cumming <murrayc@openismus.com>
Date:   Tue Oct 2 12:35:16 2012 +0200

    Use GRL_METADATA_KEY_INVALID instead of NULL.
    
    This is what the grl_metadata_key_list_new() documentation
    says we should do. NULL is the same thing, but that is an internal
    detail.
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=685274
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 doc/grilo/plugins-sources.xml            | 2 +-
 examples/browsing.c                      | 2 +-
 examples/efficient-metadata-resolution.c | 4 ++--
 examples/multivalues.c                   | 2 +-
 examples/searching.c                     | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

commit 818a8e531732b7ff0763fbb932dfebfb4a75df1f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Oct 5 11:26:44 2012 +0200

    Post-release version bump to 0.2.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9db1eafb7a2dfed6f26a01450bdb39e9595e3e33
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Oct 4 22:02:55 2012 +0000

    Release 0.2.2

 AUTHORS               |  1 +
 NEWS                  | 14 ++++++++++++++
 configure.ac          | 18 +++++++++---------
 libs/net/grl-net-wc.c |  4 ++++
 4 files changed, 28 insertions(+), 9 deletions(-)

commit 47adfb6cb7faf12e36ba66f18d9ceba3e3bd53c0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Oct 3 23:54:29 2012 +0200

    Downgrade version to 0.2.1

 AUTHORS                                      |   1 +
 Makefile.am                                  |   4 +-
 NEWS                                         |  25 +++++++
 bindings/vala/grilo-0.2-custom.vala          | 104 +++++++++++++++++++++++++++
 bindings/vala/grilo-0.2.deps                 |   1 +
 bindings/vala/grilo-0.2.metadata             |  58 +++++++++++++++
 bindings/vala/grilo-0.3-custom.vala          | 104 ---------------------------
 bindings/vala/grilo-0.3.deps                 |   1 -
 bindings/vala/grilo-0.3.metadata             |  58 ---------------
 bindings/vala/grilo-net-0.2-custom.vala      |   1 +
 bindings/vala/grilo-net-0.2.deps             |   1 +
 bindings/vala/grilo-net-0.2.metadata         |   6 ++
 bindings/vala/grilo-net-0.3-custom.vala      |   1 -
 bindings/vala/grilo-net-0.3.deps             |   1 -
 bindings/vala/grilo-net-0.3.metadata         |   6 --
 bindings/vala/grilo-net-uninstalled.files.in |   2 +-
 bindings/vala/grilo-uninstalled.files.in     |   2 +-
 configure.ac                                 |  12 ++--
 doc/grilo/environment-setup.xml              |   2 +-
 grilo-0.2.pc.in                              |  17 +++++
 grilo-0.3.pc.in                              |  17 -----
 grilo-net-0.2.pc.in                          |  15 ++++
 grilo-net-0.3.pc.in                          |  15 ----
 grilo-net-uninstalled.pc.in                  |   2 +-
 tools/vala/Makefile.am                       |   2 +-
 25 files changed, 242 insertions(+), 216 deletions(-)

commit 34865dc99a30e082c8f6d731e66ad373516239a4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 2 08:20:01 2012 +0000

    doc: Sort entries in documentation

 doc/grilo/grilo-sections.txt | 594 ++++++++++++++++++++++---------------------
 1 file changed, 298 insertions(+), 296 deletions(-)

commit bb26ab640e335b817d1b268d9677f95ba81c80a2
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Oct 2 07:53:06 2012 +0000

    doc: Update documentation
    
    Add grl_net_wc_request_with_headers_async() and
    grl_net_wc_request_with_headers_hash_async() to documentation section.

 doc/grilo/grilo-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit c2c5558ae9e1f087aee0a37ede47b84ca85506a7
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Mon Oct 1 00:25:01 2012 +0200

    core: Obey GRL_WRITE_NORMAL in grl_source_store()
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=685169

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02d9befee7c3bf172714a3627afef2c9b5e3b650
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Sun Sep 30 21:47:29 2012 +0200

    core: Properly pass store spec to store_relay_cb()
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=685161

 src/grl-source.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 1c288a718d930e8c5cbeff9d08f4511ca965a9ae
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 26 17:00:59 2012 +0200

    build: Add option to disable Test UI

 configure.ac | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit a9fad347ef103c5b0ca8c555e2d50bc099a76a74
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Sep 25 11:31:40 2012 +0200

    net: Check if headers are NULL

 libs/net/grl-net-wc.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit bf186d0626220b8515cbf2ce2809e404ce6f0d28
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Jul 12 22:44:47 2012 +0200

    net: Add possibility to add arbitrary HTTP headers
    
    Some webservices need custom HTTP headers for requests; this patch adds
    a function to schedule requests with those special headers.
    
    Under contract for Canonical Ltd.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680436
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 libs/net/grl-net-private.h       |  1 +
 libs/net/grl-net-soup-stable.c   | 13 ++++++
 libs/net/grl-net-soup-unstable.c | 19 ++++++++
 libs/net/grl-net-wc.c            | 97 ++++++++++++++++++++++++++++++++++++++--
 libs/net/grl-net-wc.h            | 16 +++++++
 5 files changed, 143 insertions(+), 3 deletions(-)

commit e0172c8cba65663cd8a06c10fd10757080362172
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Sep 14 15:15:37 2012 +0200

    core: Increase reference in list content, not list node
    
    Fixes a crash when doing g_object_ref (node) instead of g_object_ref
    (node->data).
    
    Node is a GList node containing a gobject.

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c8ccea50ebf178a4fbc2b7778a12fa7c3a1b0ef5
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Sep 14 15:14:47 2012 +0200

    core: Use GRL_WARNING instead of GRL_ERROR for elements not found in the
    queue
    
    Disturbs less the user.

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c00ad172d6f5d058c288efabf5b7ee9c0d75732a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 7 15:49:53 2012 +0200

    core: Load modules with G_MODULE_BIND_LOCAL

 src/grl-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ca49cb94c616ecffb29a102e45b827685a51865
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jul 20 17:04:46 2012 +0200

    doc: Clarify what "site" is supposed to be
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=682793

 src/data/grl-media.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2076f736e6415df01cbd2894aef6ea63d0040363
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jul 20 17:04:25 2012 +0200

    doc: Clarify normalization of the rating
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=682793

 src/data/grl-media.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ca606fb1cd8e8fea10df782acc35122f0175062b
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Aug 30 20:56:52 2012 +0200

    Properly name some GType macros
    
    Those for GrlCaps and GrlOperationOptions had "TYPE" add the end
    instead of the begin (right after the namespace).
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=683055

 src/grl-caps.h              | 15 +++++++++------
 src/grl-operation-options.h | 15 +++++++++------
 2 files changed, 18 insertions(+), 12 deletions(-)

commit 6016620b3d30d03cc4077cc876ad2afa4c565202
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Tue Aug 28 10:47:13 2012 +0200

    Avoid leak in grl_source_get_media_from_uri()
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=682855

 src/grl-source.c | 2 ++
 1 file changed, 2 insertions(+)

commit c80c75e682edc76e73e4fca5d772711226bc9d53
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jul 17 15:35:23 2012 +0200

    test-ui: Fix garbled UTF-8 output
    
    g_strdup_value_contents uses g_strescape on anything that's not ASCII
    which garbles anything fancy in the UI.
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=682791

 tools/grilo-test-ui/main.c | 2 ++
 1 file changed, 2 insertions(+)

commit 90b7c9842eee77f601de01f2b1ac8abb817c1585
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Aug 16 18:51:30 2012 +0200

    Don't crash in grl_source_get_media_from_uri()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682024

 src/grl-source.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit dc57a5d4c73bf4383ceb18dc97a470bf7d929509
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Aug 16 13:52:58 2012 +0200

    Add missing C++ guards
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681992

 src/grl-metadata-key.h | 4 ++++
 src/grl-multiple.h     | 4 ++++
 2 files changed, 8 insertions(+)

commit b911c0f6a9e48ff562ed46173d1582478728a59f
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Aug 16 12:53:41 2012 +0200

    Avoid warning about bad pointer cast
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681983

 src/grl-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 592f87ce233860d080a33987e589fbc3be475e89
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Thu Aug 16 12:55:11 2012 +0200

    Don't freeze sync functions on failed precondition
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681984

 src/grl-multiple.c |  15 ++-
 src/grl-source.c   | 277 ++++++++++++++++++++++++++++++-----------------------
 2 files changed, 163 insertions(+), 129 deletions(-)

commit 485c283beb56d11a1cdf52686eefe4fed97ae6df
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Aug 13 15:18:05 2012 +0200

    core: GrlKeyID are not GParamSpec
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=681757

 bindings/vala/grilo-0.3-custom.vala      | 92 +++++++++++++++++++++-----------
 bindings/vala/grilo-uninstalled.files.in |  2 +-
 src/grl-metadata-key.c                   |  3 --
 src/grl-source.c                         |  2 +-
 tools/vala/grilo-test.vala               |  2 +-
 5 files changed, 64 insertions(+), 37 deletions(-)

commit 2bcba9c3f702346998ae8a02310160e6ff12270a
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Aug 13 08:32:21 2012 +0000

    Post-release version bump to 0.3.1

 Makefile.am                                  |  4 +-
 bindings/vala/grilo-0.2-custom.vala          | 74 ----------------------------
 bindings/vala/grilo-0.2.deps                 |  1 -
 bindings/vala/grilo-0.2.metadata             | 58 ----------------------
 bindings/vala/grilo-0.3-custom.vala          | 74 ++++++++++++++++++++++++++++
 bindings/vala/grilo-0.3.deps                 |  1 +
 bindings/vala/grilo-0.3.metadata             | 58 ++++++++++++++++++++++
 bindings/vala/grilo-net-0.2-custom.vala      |  1 -
 bindings/vala/grilo-net-0.2.deps             |  1 -
 bindings/vala/grilo-net-0.2.metadata         |  6 ---
 bindings/vala/grilo-net-0.3-custom.vala      |  1 +
 bindings/vala/grilo-net-0.3.deps             |  1 +
 bindings/vala/grilo-net-0.3.metadata         |  6 +++
 bindings/vala/grilo-net-uninstalled.files.in |  2 +-
 bindings/vala/grilo-uninstalled.files.in     |  2 +-
 configure.ac                                 | 10 ++--
 doc/grilo/environment-setup.xml              |  2 +-
 grilo-0.2.pc.in                              | 17 -------
 grilo-0.3.pc.in                              | 17 +++++++
 grilo-net-0.2.pc.in                          | 15 ------
 grilo-net-0.3.pc.in                          | 15 ++++++
 grilo-net-uninstalled.pc.in                  |  2 +-
 tools/vala/Makefile.am                       |  2 +-
 23 files changed, 185 insertions(+), 185 deletions(-)

commit c20432e27e93d96ae0edc3238f958afe61cb06ff
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Aug 13 08:17:10 2012 +0000

    Release 0.2.0

 AUTHORS |  1 +
 NEWS    | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

commit 4288bc5b4d1d2bcc43af708ff6abdc56f9f21d16
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Aug 13 08:16:52 2012 +0000

    net: Add API version

 configure.ac                | 11 ++++++++---
 grilo-net-0.2.pc.in         |  4 ++--
 grilo-net-uninstalled.pc.in |  4 ++--
 3 files changed, 12 insertions(+), 7 deletions(-)

commit c284ab8df6179705a36cfcc57575a8236301a24e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Aug 13 08:15:26 2012 +0000

    doc: Add API information
    
    Annotate "Since:" tag.

 src/data/grl-data.c         | 10 ++++++
 src/data/grl-media.c        | 13 +++++--
 src/data/grl-related-keys.c |  4 +++
 src/grl-caps.c              | 19 +++++++++++
 src/grl-metadata-key.c      |  4 +++
 src/grl-multiple.c          |  6 ++--
 src/grl-operation-options.c | 38 ++++++++++++++++++++-
 src/grl-plugin.c            | 26 ++++++++++++++
 src/grl-registry.c          | 54 ++++++++++++++++++-----------
 src/grl-source.c            | 83 +++++++++++++++++++++++++++++++++++++++++++--
 src/grl-util.c              |  1 +
 11 files changed, 230 insertions(+), 28 deletions(-)

commit 0de56ce6677d8572c53e7cedc6bbaeb0d4175d82
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Aug 13 08:14:25 2012 +0000

    build: Add libtool version information

 configure.ac         | 13 +++++++++++++
 libs/net/Makefile.am |  1 +
 src/Makefile.am      |  3 ++-
 3 files changed, 16 insertions(+), 1 deletion(-)

commit 38da1963a3c772b367c037bb449cde58b9b1efae
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Aug 10 12:28:35 2012 +0200

    doc: Improve documentation

 doc/grilo/grilo-sections.txt |  36 ++++++++--
 src/data/grl-config.c        | 110 +++++++++++++++++++++++++++++
 src/grl-caps.c               |  31 ++++++++
 src/grl-log.c                |  20 ++++++
 src/grl-operation-options.c  |  75 ++++++++++++++++++++
 src/grl-operation.c          |   4 +-
 src/grl-plugin.c             | 165 +++++++++++++++++++++++--------------------
 src/grl-range-value.c        |  15 ++--
 src/grl-registry.c           |   4 +-
 src/grl-value-helper.c       |  21 +-----
 10 files changed, 367 insertions(+), 114 deletions(-)

commit d12292b917b1f4ac6380f20abc10f3edfc59ac36
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Aug 10 12:27:24 2012 +0200

    core: Remove unused function
    
    grl_source_cancel() is not used.
    
    Cancelling is done invoking grl_operation_cancel().

 src/grl-source.c | 49 +------------------------------------------------
 src/grl-source.h |  2 --
 2 files changed, 1 insertion(+), 50 deletions(-)

commit bd874eb631d1b97729b9809930678adaffc1b0ca
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Aug 10 09:44:37 2012 +0200

    core: Fix typos in documentation

 src/data/grl-media-image.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb080a15a09d77acedbeaf75471650c20ee9c49f
Author: César García Tapia <tapia@openshine.com>
Date:   Thu Aug 9 13:03:42 2012 +0200

    vala: make caps in operation_options.new() nullable

 bindings/vala/grilo-0.2.metadata | 3 +++
 1 file changed, 3 insertions(+)

commit 08277434360fe204b7516be19bc3d163feb813c1
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Thu Aug 9 12:40:18 2012 +0200

    vala: make container in source.browse() nullable

 bindings/vala/grilo-0.2.metadata | 1 +
 1 file changed, 1 insertion(+)

commit 4bf44ae369f218e9b8faf54ac32db84fb50dceda
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Aug 8 16:22:44 2012 +0000

    vala: Do not install VAPI files in specific vapi directory of the compiler
    
    Rather, install it in $(datadir)/vala/vapi place.

 bindings/vala/Makefile.am | 2 +-
 configure.ac              | 5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)

commit 40db943144ea4017e28988281490e48b043b1d96
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Aug 8 15:52:03 2012 +0000

    core: Fix typo in key description

 src/grl-metadata-key.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f046878faeccdd6548bb17471e7a22dd9d91758
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Tue Aug 7 12:51:14 2012 +0200

    grl-net: avoid a possible double free
    
    In the soup-unstable there was the possiblity to face a double
    free if get_content() was called twice with the content parameter
    set as NULL first.
    
    Thanks to Jens Georg for aiming at this issue.

 libs/net/grl-net-soup-unstable.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b3be0e0f4c1543c8e2372fbc43cd238868afcd2e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jul 23 13:59:35 2012 +0000

    core: Rename some registry functions
    
    Rename those registry functions affecting plugins, by adding the word "plugin".
    
    It makes clear what the functions are about.

 doc/grilo/grilo-sections.txt             | 10 +++---
 doc/grilo/writing-apps.xml               |  2 +-
 examples/browsing.c                      |  2 +-
 examples/configuring-plugins.c           |  2 +-
 examples/efficient-metadata-resolution.c |  2 +-
 examples/loading-plugins.c               |  2 +-
 examples/multivalues.c                   |  2 +-
 examples/searching.c                     |  2 +-
 src/grl-registry.c                       | 56 ++++++++++++++++----------------
 src/grl-registry.h                       | 28 ++++++++--------
 tests/metadata_source.c                  |  2 +-
 tests/registry.c                         |  2 +-
 tools/grilo-inspect/grl-inspect.c        |  2 +-
 tools/grilo-test-ui/main.c               | 10 +++---
 tools/vala/grilo-test.vala               |  2 +-
 15 files changed, 63 insertions(+), 63 deletions(-)

commit 41f2fe09990e8f800f829e52867e87864d971b5f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jul 23 10:36:53 2012 +0000

    core: Rename PluginRegistry to Registry

 bindings/vala/grilo-0.2.metadata         |   10 +-
 bindings/vala/grilo-uninstalled.files.in |    2 +-
 doc/grilo/environment-setup.xml          |    4 +-
 doc/grilo/grilo-docs.sgml                |    2 +-
 doc/grilo/grilo-sections.txt             |   76 +-
 doc/grilo/grilo.types                    |    2 +-
 doc/grilo/plugins-sources.xml            |   16 +-
 doc/grilo/plugins-testing.xml            |    8 +-
 doc/grilo/writing-apps.xml               |   20 +-
 examples/browsing.c                      |    8 +-
 examples/configuring-plugins.c           |   14 +-
 examples/efficient-metadata-resolution.c |   14 +-
 examples/loading-plugins.c               |   10 +-
 examples/multivalues.c                   |   14 +-
 examples/searching.c                     |    8 +-
 src/Makefile.am                          |    6 +-
 src/data/grl-data.c                      |   14 +-
 src/data/grl-media.c                     |   14 +-
 src/data/grl-related-keys.c              |   10 +-
 src/grilo.c                              |   10 +-
 src/grilo.h                              |    2 +-
 src/grl-log-priv.h                       |    2 +-
 src/grl-log.c                            |    4 +-
 src/grl-metadata-key-priv.h              |    4 +-
 src/grl-metadata-key.c                   |  871 ++++++++--------
 src/grl-multiple.c                       |   22 +-
 src/grl-operation-options.c              |    8 +-
 src/grl-plugin-priv.h                    |    2 +-
 src/grl-plugin-registry-priv.h           |   32 -
 src/grl-plugin-registry.c                | 1650 ------------------------------
 src/grl-plugin-registry.h                |  278 -----
 src/grl-plugin.c                         |   14 +-
 src/grl-registry-priv.h                  |   37 +
 src/grl-registry.c                       | 1650 ++++++++++++++++++++++++++++++
 src/grl-registry.h                       |  272 +++++
 src/grl-source.c                         |   28 +-
 tests/metadata_source.c                  |   10 +-
 tests/python/test_fs.py                  |    4 +-
 tests/python/test_media.py               |    2 +-
 tests/python/test_metadata_source.py     |    2 +-
 tests/python/test_options.py             |    4 +-
 tests/python/test_plugin.py              |    2 +-
 tests/python/test_registry.py            |   12 +-
 tests/registry.c                         |   16 +-
 tools/grilo-inspect/grl-inspect.c        |   12 +-
 tools/grilo-test-ui/main.c               |  102 +-
 tools/js/testGrilo.js                    |    2 +-
 tools/python/grilo-test-ui.py            |   22 +-
 tools/vala/grilo-test.vala               |    2 +-
 49 files changed, 2665 insertions(+), 2665 deletions(-)

commit a00b075fd6f76d2c9e7498e93bf40bfcd11b8c93
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Jul 16 14:37:35 2012 +0000

    vala: Fix Vala bindings

 bindings/vala/grilo-0.2-custom.vala | 4 ----
 tools/vala/grilo-test.vala          | 9 +++++++--
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 157546f8612e0b061edcec32fd2e64c7c6ee647f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Jul 14 19:44:24 2012 +0000

    doc: Improve documentation

 doc/grilo/Makefile.am                  |    5 +-
 doc/grilo/grilo-docs.sgml              |   13 +-
 doc/grilo/grilo-sections.txt           |  149 ++--
 doc/grilo/grilo.types                  |    2 -
 doc/grilo/plugins-media-sources.xml    | 1171 --------------------------
 doc/grilo/plugins-metadata-sources.xml |  398 ---------
 doc/grilo/plugins-sources.xml          | 1433 ++++++++++++++++++++++++++++++++
 libs/net/grl-net-wc.h                  |    5 +-
 src/grl-caps.c                         |    7 +-
 src/grl-multiple.c                     |    2 +-
 src/grl-operation-options.c            |    8 +-
 src/grl-plugin-registry.c              |    7 +-
 src/grl-source.c                       |    3 +-
 src/grl-source.h                       |    5 +-
 14 files changed, 1514 insertions(+), 1694 deletions(-)

commit 8d162930251d03e0be8e1992fc086ff5a310ad0d
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat Jul 14 11:48:54 2012 +0000

    core: Fix introspection annotations

 libs/net/grl-net-wc.c       | 10 +++++-----
 src/data/grl-related-keys.c |  1 -
 src/grl-caps.c              |  2 +-
 src/grl-error.h             |  7 -------
 src/grl-operation.c         |  4 ++++
 src/grl-plugin.c            |  4 ++--
 src/grl-range-value.c       |  5 +++++
 src/grl-source.c            | 22 +++++++++++-----------
 src/grl-value-helper.c      | 12 ++++++++----
 9 files changed, 36 insertions(+), 31 deletions(-)

commit b9b02d0cff289c8e88f3555cceda8154fd295bf3
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Jun 3 08:32:35 2011 +0200

    core: Merge GrlMediaSource and GrlMetadataSource into GrlSource
    
    It merges both types of sources in just one, improving also the full
    resolution algorithm.

 bindings/vala/grilo-0.2-custom.vala      |   64 +-
 bindings/vala/grilo-0.2.metadata         |   50 +-
 bindings/vala/grilo-uninstalled.files.in |    3 -
 doc/grilo/Makefile.am                    |    1 -
 examples/browsing.c                      |   14 +-
 examples/efficient-metadata-resolution.c |   22 +-
 examples/multivalues.c                   |    4 +-
 examples/searching.c                     |    4 +-
 src/Makefile.am                          |   15 +-
 src/grilo.h                              |    3 +-
 src/grl-error.h                          |    6 +-
 src/grl-log-priv.h                       |    2 -
 src/grl-log.c                            |    4 -
 src/grl-media-source.c                   | 2931 ----------------------
 src/grl-media-source.h                   |  521 ----
 src/grl-metadata-source.c                |  694 ------
 src/grl-metadata-source.h                |  252 --
 src/grl-multiple.c                       |   82 +-
 src/grl-multiple.h                       |    8 +-
 src/grl-operation-options.c              |    4 +-
 src/grl-operation-options.h              |   22 +-
 src/grl-plugin-registry.h                |    4 +-
 src/grl-plugin.c                         |    2 +-
 src/grl-source-priv.h                    |   75 -
 src/grl-source.c                         | 3964 ++++++++++++++++++++++++++++--
 src/grl-source.h                         |  480 +++-
 tools/grilo-inspect/grl-inspect.c        |   13 +-
 tools/grilo-test-ui/main.c               |  200 +-
 tools/vala/grilo-test.vala               |   14 +-
 29 files changed, 4458 insertions(+), 5000 deletions(-)

commit 6985175a7c980dbcd19000619879b1386936b806
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed May 4 10:29:19 2011 +0000

    core: Add API to get plugins from registry
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 doc/grilo/grilo-sections.txt |  3 ++
 src/grl-plugin-registry.c    | 65 ++++++++++++++++++++++++++++++++++++++++++--
 src/grl-plugin-registry.h    |  7 +++++
 src/grl-plugin.c             | 36 ++++++++++++++++++++++++
 src/grl-plugin.h             |  2 ++
 tools/grilo-test-ui/main.c   | 27 ++++++++----------
 6 files changed, 121 insertions(+), 19 deletions(-)

commit ae22e96590eed29b2a8d1c4b4bfce6fb11a1d822
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue May 3 16:19:09 2011 +0000

    core: Redesign source/plugin hierarchy
    
    Previously, hierarchy was:
    
          +----------------+
          | GrlMediaPlugin |
          +-------.--------+
                 /_\
                  |
        +-------------------+
        | GrlMetadataSource |
        +---------.---------+
                 /_\
                  |
          +----------------+
          | GrlMediaSource |
          +----------------+
    
    With the redesign, we have the new hierarchy:
    
        +-----------+        +-----------+
        | GrlPlugin |<>-----*| GrlSource |
        +-----------+        +-----.-----+
                                  /_\
                                   |
                      +------------+----------+
                      |                       |
            +-------------------+    +----------------+
            | GrlMetadataSource |    | GrlMediaSource |
            +-------------------+    +----------------+
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 bindings/vala/grilo-0.2.metadata         |  22 +-
 bindings/vala/grilo-uninstalled.files.in |   3 +-
 doc/grilo/grilo-sections.txt             | 106 ++--
 doc/grilo/grilo.types                    |   3 +-
 examples/browsing.c                      |  11 +-
 examples/configuring-plugins.c           |   4 +-
 examples/efficient-metadata-resolution.c |  12 +-
 examples/loading-plugins.c               |   8 +-
 examples/multivalues.c                   |  11 +-
 examples/searching.c                     |  11 +-
 src/Makefile.am                          |  12 +-
 src/grilo.h                              |   2 +-
 src/grl-log-priv.h                       |   3 +-
 src/grl-log.c                            |   6 +-
 src/grl-media-plugin-priv.h              |  47 --
 src/grl-media-plugin.c                   | 284 ---------
 src/grl-media-plugin.h                   | 134 -----
 src/grl-media-source.c                   | 488 ++++++++++-----
 src/grl-media-source.h                   |  12 +-
 src/grl-metadata-source-priv.h           |  51 +-
 src/grl-metadata-source.c                | 997 +------------------------------
 src/grl-metadata-source.h                |  96 +--
 src/grl-multiple.c                       |  11 +-
 src/grl-plugin-priv.h                    |  70 +++
 src/grl-plugin-registry.c                | 578 +++++++++---------
 src/grl-plugin-registry.h                |  75 +--
 src/grl-plugin.c                         | 494 +++++++++++++++
 src/grl-plugin.h                         | 135 +++++
 src/grl-source-priv.h                    |  75 +++
 src/grl-source.c                         | 817 +++++++++++++++++++++++++
 src/grl-source.h                         | 178 ++++++
 tools/grilo-inspect/grl-inspect.c        |  59 +-
 tools/grilo-test-ui/main.c               |  81 ++-
 tools/vala/grilo-test.vala               |   8 +-
 34 files changed, 2667 insertions(+), 2237 deletions(-)

commit 1a354a48c655e23477e9949b7ea3a21c20d9c672
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Jul 13 07:34:21 2012 +0000

    core: Prefix GObject macros with GRL_
    
    Rename IS_GRL_foo to GRL_IS_foo.

 src/grl-caps.h              | 4 ++--
 src/grl-operation-options.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit b5382e28d6765301cc64271e974cc1af35c8ceac
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Tue Jul 10 12:38:03 2012 +0200

    core: Avoid pedantic compiler warnings with C++.
    
    g++ complains about trailing commas in enums when using
    -Wpedantic.
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=679674
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 autogen.sh                  |  2 +-
 libs/net/grl-net-wc.c       |  2 +-
 libs/net/grl-net-wc.h       |  2 +-
 src/grl-caps.h              |  2 +-
 src/grl-media-source.c      |  4 ++--
 src/grl-media-source.h      |  2 +-
 src/grl-metadata-source.c   |  2 +-
 src/grl-metadata-source.h   |  4 ++--
 src/grl-operation-options.h |  2 +-
 src/grl-plugin-registry.c   |  2 +-
 src/grl-plugin-registry.h   |  2 +-
 tools/grilo-test-ui/main.c  | 10 +++++-----
 12 files changed, 18 insertions(+), 18 deletions(-)

commit 2a5b8991314744d5c85282fc7a9ef304829bf054
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Tue Jul 10 10:29:40 2012 +0200

    doc: Fix typos in GrlConfig description

 src/data/grl-config.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7f72ed49bed240a5452d9a60e15bbd038a4ccd2
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Tue Jul 10 10:11:56 2012 +0200

    doc: Clearify that GrlConfig are not persistant

 src/data/grl-config.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c9121c2445462ddbe63516f69154fcb96f79c7a1
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jun 20 07:00:56 2012 +0000

    test-ui: Add filtering by type
    
    When performing a search, for those sources supporting it, users can restrict
    the results by type.

 tools/grilo-test-ui/main.c | 125 +++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 120 insertions(+), 5 deletions(-)

commit d6b12abcd28c88d21a29b6a44386cc993506e64a
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Wed Dec 14 18:16:24 2011 +0100

    tests: added a test of key range filter for fs

 tests/python/test_fs.py | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit 40e02a11ff6d03d5d4cc54026e1c23ab3284d745
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Dec 14 18:16:23 2011 +0100

    core: Add range-filtering
    
    Contains modifications by Guillaume Emont <guijemont@igalia.com>

 src/Makefile.am                  |   4 +-
 src/grl-caps.c                   |  52 ++++++++++++
 src/grl-caps.h                   |   6 ++
 src/grl-operation-options-priv.h |   1 +
 src/grl-operation-options.c      | 171 +++++++++++++++++++++++++++++++++++++++
 src/grl-operation-options.h      |  16 ++++
 src/grl-range-value.c            |  92 +++++++++++++++++++++
 src/grl-range-value.h            |  57 +++++++++++++
 8 files changed, 398 insertions(+), 1 deletion(-)

commit 730b22f76e90814dece2c38df0c33db58311c5c5
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Wed Dec 14 18:16:22 2011 +0100

    tests: added some search() and browse() tests using the fs plugin

 tests/python/test_fs.py | 239 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 239 insertions(+)

commit dee5f5ee19782a2ac5123b17b488362bc2895a3a
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Wed Dec 14 18:16:21 2011 +0100

    tests: added caps tests for key filters

 tests/python/test_options.py | 54 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 13c3d3ee65dd687b990ba8bdcc46fd62c9cba779
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Dec 14 18:16:20 2011 +0100

    core: Add filtering by equal key
    
    It supports filtering by equal operator, as "artist = Madonna".
    
    Contains modifications by Guillaume Emont <gemont@igalia.com>

 src/grl-caps.c                   |  50 ++++++++++++
 src/grl-caps.h                   |   7 ++
 src/grl-operation-options-priv.h |   1 +
 src/grl-operation-options.c      | 164 +++++++++++++++++++++++++++++++++++++++
 src/grl-operation-options.h      |  16 ++++
 src/grl-value-helper.c           |   6 ++
 src/grl-value-helper.h           |   2 +
 7 files changed, 246 insertions(+)

commit fc3aaef7b1b5d44b78aef18d06fad5abc022b7a4
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Wed Dec 14 18:16:19 2011 +0100

    core: add a setter and getter of GrlKeyID for GValues

 src/grl-metadata-key.h | 4 ++++
 1 file changed, 4 insertions(+)

commit a617a92863b724c887820decd8ac3324b5291519
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Wed Dec 14 18:16:18 2011 +0100

    tests: added tests of type filtering for caps

 tests/python/test_options.py | 61 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

commit 8fd23c30b38198a26be6857c1286015d66e55fff
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Dec 14 18:16:17 2011 +0100

    core: Add filtering by media type
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/Makefile.am                  | 10 +++--
 src/grl-caps.c                   | 31 ++++++++++++++
 src/grl-caps.h                   | 22 ++++++++++
 src/grl-operation-options-priv.h |  1 +
 src/grl-operation-options.c      | 92 +++++++++++++++++++++++++++++++++++++++-
 src/grl-operation-options.h      |  5 +++
 6 files changed, 156 insertions(+), 5 deletions(-)

commit 00ebfb42154079dd6864f8f0e08b572df4a79ecf
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun May 27 19:43:33 2012 +0000

    core: Fix leaks

 src/data/grl-config.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3e6193bc5e0562844e9d1b95db65cd4f5fa02636
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sat May 26 17:17:10 2012 +0000

    test-ui: Fix leaks

 tools/grilo-test-ui/main.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a04126262faaadd98ce871f533f38c6b954c9d42
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 25 15:39:08 2012 +0100

    test-ui: Make the test window a decent size
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676822

 tools/grilo-test-ui/main.c | 1 +
 1 file changed, 1 insertion(+)

commit 9a1a2f0856b353fbf94ead22b4a31f2ee3a4d0b0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 25 15:40:18 2012 +0100

    test-ui: We only really support GTK+ 3.x builds
    
    So stop fooling ourselves, that code just doesn't work with GTK+ 2.x
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676823

 configure.ac | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 24688ec65c57edb97ce914758cba27ab746dffe0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed May 23 17:15:39 2012 +0000

    net: Get rid of grl_net_wc_set_user_agent () declaration
    
    "user-agent" is a implemented as property, not as a function.
    
    The declaration was left there by mistake.
    
    This is a fix over commit bcf8a576d4.

 libs/net/grl-net-wc.h | 3 ---
 1 file changed, 3 deletions(-)

commit 3b9d0fe783a8b554f54e3c28f694c559f61a307f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon May 21 19:05:41 2012 +0000

    test-ui: Ask for all fast keys when browsing
    
    Asking for all the fast keys in a browse/search operation is the most efficient
    way if you want to show all they keys. It will take just one query to the
    service to solve all those keys in a row.
    
    For slow keys, let's use metadata() to resolve them when user clicks the item.

 tools/grilo-test-ui/main.c | 33 +++++++++------------------------
 1 file changed, 9 insertions(+), 24 deletions(-)

commit 89778ccaf1865f7f23cd8c9ee00d4daf7002f6cd
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri May 18 08:42:18 2012 +0000

    vala: Add support for Vala 0.18
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bcf8a576d4b5caa64adca36470917defb311abec
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed May 16 13:31:10 2012 +0000

    net: Add "user-agent" property
    
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=672923
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 libs/net/grl-net-wc.c | 23 +++++++++++++++++++++++
 libs/net/grl-net-wc.h |  3 +++
 2 files changed, 26 insertions(+)

commit 2762320d47d5d65dfc211c041d2c5294dc96b24f
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Mon Apr 30 13:21:22 2012 +0200

    net: tune up gir build

 libs/net/Makefile.am | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 6a80f062ac4814a26e2815ed99119369197ee836
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Thu Apr 26 16:54:56 2012 +0200

    net: move cache and request to a private file
    
    Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

 libs/net/Makefile.am             |   9 +
 libs/net/grl-net-private.c       |  91 ++++++++
 libs/net/grl-net-private.h       |  80 +++++++
 libs/net/grl-net-soup-stable.c   | 186 +++++++++++++++++
 libs/net/grl-net-soup-unstable.c | 292 ++++++++++++++++++++++++++
 libs/net/grl-net-wc.c            | 440 ++-------------------------------------
 libs/net/grl-net-wc.h            |   2 +
 7 files changed, 677 insertions(+), 423 deletions(-)

commit c35c0b35138473e36084b40022765fd0c32479c1
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Thu Apr 26 13:43:52 2012 +0200

    net: simplify the throttling code
    
    Creating a typedef for a local scope closure, is overkill, make more complex
    the structure of the code.
    
    Simple structs for simple people.
    
    Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

 libs/net/grl-net-wc.c | 84 +++++++++++++++++++++++++--------------------------
 1 file changed, 42 insertions(+), 42 deletions(-)

commit baee8a65a296f96967d798471911db42558c546b
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Thu Apr 26 20:13:45 2012 +0200

    vala: specify explicitly grl-net.h
    
    Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

 bindings/vala/grilo-net-uninstalled.files.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7f2d378afebd88877030d6bc8f1e7124dff919c
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Thu Apr 26 21:57:51 2012 +0200

    net: detect in runtime use-thread-context property
    
    Instead of messing with autotools, it is better to know in run-time if
    the required property is available.
    
    Revert "grl-net: Use libsoup context threads for libsoup 2.39 or above"
    This reverts commit 98fb065f9d52092d2cbf29dcdc1784f9ff087e74.
    
    Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

 configure.ac          |  6 ------
 libs/net/Makefile.am  |  5 -----
 libs/net/grl-net-wc.c | 21 ++++++++++++++++-----
 3 files changed, 16 insertions(+), 16 deletions(-)

commit 8d94c03a445f77db717637ab5c6f2502114860d5
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Apr 26 17:34:14 2012 +0000

    log: Fix up GRL_DEBUG environment variable
    
    Grilo relies on the default GLib log handler.
    
    Due to the G_MESSAGES_DEBUG change in GLib, the default handler filters out all
    the messages unless G_MESSAGES_DEBUG environment variable includes the log
    domain to show ('all' for all domains).
    
    To fix it, if GRL_DEBUG is set, Grilo log domain is added to the
    G_MESSAGES_DEBUG so the messages are not filtered.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/grl-log.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 98fb065f9d52092d2cbf29dcdc1784f9ff087e74
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Apr 26 15:36:36 2012 +0000

    grl-net: Use libsoup context threads for libsoup 2.39 or above
    
    Add SOUP_SESSION_USE_THREAD_CONTEXT to soup sessions for libsoup >= 2.39.
    
    Otherwise, it will not work
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 configure.ac          | 6 ++++++
 libs/net/Makefile.am  | 5 +++++
 libs/net/grl-net-wc.c | 7 +++++++
 3 files changed, 18 insertions(+)

commit 1de8dde1aab04d69efceb70cff31bbf43b8264eb
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Apr 25 09:42:24 2012 +0000

    config: Add grl_config_get_source() function
    
    Returns the source id in the config object.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 doc/grilo/grilo-sections.txt |  1 +
 src/data/grl-config.c        | 13 +++++++++++++
 src/data/grl-config.h        |  2 ++
 3 files changed, 16 insertions(+)

commit 0698639d02478707eccff947e0654dfbf1b2f830
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Apr 25 09:41:38 2012 +0000

    doc: Fix typo in grl_config_set_source()
    
    It returns source id, not plugin id.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/data/grl-config.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ddde75b64427d95e585cf5e98d1b1006114f6f78
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Apr 20 13:10:49 2012 +0000

    core: Use g_list_free_full() when possible
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 src/data/grl-data.c    | 3 +--
 src/grl-media-source.c | 3 +--
 src/grl-multiple.c     | 3 +--
 3 files changed, 3 insertions(+), 6 deletions(-)

commit 8e570a9d94c76907239de5ed392ff901944fe51b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 16 18:04:52 2012 +0000

    test-ui: Add major.minor version suffix to executable
    
    It creates grl-test-ui-0.1 or grl-test-ui-0.2, so we can have both versions
    installed in the same host.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/Makefile.am | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 479c39d28e5228bcfc9ece517f4c4effce235e29
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 16 18:04:52 2012 +0000

    grl-inspect: Add major.minor version suffix to executable
    
    It creates grl-inspect-0.1 or grl-inspect-0.2, so we can have both versions
    installed in the same host.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-inspect/Makefile.am | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit ba3a8c0cf1f60da33919a5267524cfb8505a494f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 16 17:53:44 2012 +0000

    grl-inspect: Add print version option
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-inspect/grl-inspect.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 386c8a1e96eb4c035ed9b7edf1715ab6ecbe5d11
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Apr 13 16:03:35 2012 +0000

    test-ui: Show version in title
    
    It helps to know which version we are using.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea29564eb555accba1932792310e24723d3fedbb
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Apr 13 10:29:23 2012 +0000

    test-ui: Allow children expand and fill when packaging in boxes/panes
    
    So resizing the main window resizes each widget.

 tools/grilo-test-ui/main.c | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit a6878d68938f20c5368ed3b505e8eb7206b84173
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Apr 13 11:45:24 2012 +0200

    test-ui: Fix compilation warning
    
    Not enough variable arguments to fit a sentinel.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e65703ebb9b7dc3476917aa63944df1b8cdc0fe9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Apr 13 09:12:01 2012 +0000

    test-ui: Do not use Gtk+ deprecated functions
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/main.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit b0a56c0015d5c032848262b1efcc380b7303ab2e
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Tue Oct 25 17:36:57 2011 +0100

    core: Add GRL_METADATA_KEY_START_TIME
    
    This is used to specify the start offset of a logical resource inside
    a larger container, such as a track in a single-file rip of an entire CD.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662748
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 doc/grilo/grilo-sections.txt |  2 ++
 src/data/grl-media.c         | 13 +++++++++++++
 src/data/grl-media.h         |  2 ++
 src/grl-metadata-key.c       | 14 ++++++++++++++
 src/grl-metadata-key.h       |  1 +
 5 files changed, 32 insertions(+)

commit 7ab229ff98adfab77252b1826952da5769842481
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Apr 3 12:32:16 2012 +0000

    test-ui: Do nothing if no element has been selected

 tools/grilo-test-ui/main.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f1f5517567244b6f58a7c1bddf00e980c8713a60
Author: Alberto Garcia <agarcia@igalia.com>
Date:   Mon Mar 26 14:37:00 2012 +0300

    Expand twice the value of ${libdir} in GRL_PLUGINS_DIR
    
    This is necessary because ${libdir} may contain more variables inside,
    e.g. --libdir=\${prefix}/lib/x86_64-linux-gnu

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc794abcceb1d30b407e5802d459c3d67f01db5c
Author: Alberto Garcia <agarcia@igalia.com>
Date:   Mon Apr 2 17:24:29 2012 +0000

    build: Install .gir and .typelib files in the dirs reported by pkg-config

 grilo-0.2.pc.in      | 4 ++--
 grilo-net-0.2.pc.in  | 4 ++--
 libs/net/Makefile.am | 4 ++--
 src/Makefile.am      | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit ea3624ef5216f3ed0cdcbae42f5c8451eeb70341
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 2 10:32:37 2012 +0000

    vala: Add support for Vala 0.16
    
    And get rid of support for Vala less than 0.12.
    
    This makes easier the management, as before 0.12 pkg-config files used a
    different format.

 configure.ac | 19 +++++--------------
 1 file changed, 5 insertions(+), 14 deletions(-)

commit 6c4148a51efc379351697a6eca2c4086792d270c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Apr 2 10:31:01 2012 +0000

    core: Fix distcheck
    
    grl-inspect.1 was not distributed correctly.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5c6f798111d6b26dc6af2985867fed19383a7119
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Dec 16 13:01:07 2011 +0100

    doc: Update Copyright notice
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 Makefile.am                       | 2 +-
 doc/Makefile.am                   | 2 +-
 libs/net/Makefile.am              | 2 +-
 libs/net/grl-net-wc.c             | 2 +-
 libs/net/grl-net-wc.h             | 2 +-
 src/grl-error.h                   | 2 +-
 src/grl-metadata-source-priv.h    | 2 +-
 src/grl-multiple.h                | 2 +-
 src/grl-plugin-registry.h         | 2 +-
 src/grl-sync.c                    | 1 +
 src/grl-util.h                    | 2 +-
 tools/grilo-inspect/grl-inspect.c | 2 +-
 12 files changed, 12 insertions(+), 11 deletions(-)

commit 2977ac46eda551276497882ba01f115864dfd844
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Thu Sep 8 17:46:54 2011 +0200

    vala: update binding and example for the caps and options changes

 bindings/vala/grilo-uninstalled.files.in | 2 ++
 tools/vala/grilo-test.vala               | 6 +++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 956d3c8b9656e4ee76d0434e80ddff970e7078f8
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Tue Aug 2 13:19:23 2011 +0200

    examples: ported to new APIs using caps and options

 examples/browsing.c                      | 15 ++++++++++++---
 examples/efficient-metadata-resolution.c | 25 ++++++++++++++++++++++---
 examples/multivalues.c                   | 14 ++++++++++++--
 examples/searching.c                     | 10 ++++++++--
 4 files changed, 54 insertions(+), 10 deletions(-)

commit 3de162e6946279fbd5a0d24ff2658a5b65783a18
Author: Guillaume Emont <gemont@igalia.com>
Date:   Thu Apr 21 11:41:36 2011 +0200

    tests: added first tests for options and caps

 tests/python/test_options.py | 78 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

commit ff9c5d9100d73d026bdec032c266db71d18dbe64
Author: Guillaume Emont <gemont@igalia.com>
Date:   Mon Apr 11 12:55:26 2011 +0200

    test-ui: ported to the new APIs with GrlOperationOptions
    
    Ignoring caps for now, since the test ui only use options that are not related
    to caps (skip, count and flags).

 tools/grilo-test-ui/main.c | 48 +++++++++++++++++++++++++++++++---------------
 1 file changed, 33 insertions(+), 15 deletions(-)

commit 7eba7bfdd4e48ad24de9ab1880099ab92d5c9a25
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Fri Dec 2 17:15:43 2011 +0100

    doc: included caps and options in the documentation

 doc/grilo/grilo-docs.sgml    |  6 ++++++
 doc/grilo/grilo-sections.txt | 47 ++++++++++++++++++++++++++++++++++++++++++++
 doc/grilo/grilo.types        |  2 ++
 3 files changed, 55 insertions(+)

commit b05762d7c88a30171a9a44ea1a22fe4ab8c8effc
Author: Guillaume Emont <gemont@igalia.com>
Date:   Fri Apr 8 23:37:25 2011 +0200

    core: make grl_multiple_*() operations use GrlOperationOptions

 src/grl-multiple.c | 74 ++++++++++++++++++++++++++++++++----------------------
 src/grl-multiple.h |  9 +++----
 2 files changed, 48 insertions(+), 35 deletions(-)

commit 1adb289f5dd16341f903c453f92fdd632daa6fb9
Author: Guillaume Emont <gemont@igalia.com>
Date:   Fri Apr 8 23:36:28 2011 +0200

    core: make media source operations use GrlOperationOptions

 src/grl-media-source.c | 251 ++++++++++++++++++++++++++++---------------------
 src/grl-media-source.h |  59 +++++-------
 2 files changed, 165 insertions(+), 145 deletions(-)

commit 188271d492d6c37d48bf36a1568d7aac3b33eb4e
Author: Guillaume Emont <gemont@igalia.com>
Date:   Wed Apr 6 20:53:13 2011 +0200

    core: added grl_metadata_source_get_caps()

 src/grl-metadata-source.c | 27 +++++++++++++++++++++++++++
 src/grl-metadata-source.h |  8 +++++++-
 2 files changed, 34 insertions(+), 1 deletion(-)

commit 75b14e03b343bc34e49294fded38e9bdea6fe002
Author: Guillaume Emont <gemont@igalia.com>
Date:   Wed Apr 6 17:00:38 2011 +0200

    core: use GrlOperationOptions in grl_metadata_source_resolve()

 src/grl-metadata-source.c | 18 ++++++++++--------
 src/grl-metadata-source.h |  6 +++---
 2 files changed, 13 insertions(+), 11 deletions(-)

commit cbc0a640de241b13e720dcf6dc3b628170b4ddff
Author: Guillaume Emont <gemont@igalia.com>
Date:   Wed Apr 6 16:45:48 2011 +0200

    core: Moved GrlMetadataResolutionFlags into grl-operation-options.h

 src/grl-metadata-source.h   | 18 ++----------------
 src/grl-operation-options.h | 16 ++++++++++++++++
 2 files changed, 18 insertions(+), 16 deletions(-)

commit 95e0d1ed229495f8c752820b8f50be482d704721
Author: Guillaume Emont <gemont@igalia.com>
Date:   Thu Mar 31 20:30:48 2011 +0200

    core: added caps and operation options to build system

 src/Makefile.am | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c19afb6f57782896d9880385955eaec92c6033e8
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Mon Nov 28 10:05:49 2011 +0100

    core: introducing GrlOperationOptions
    
    This extensible object will contain all the options that one may want to
    specify to a given operation.

 src/grl-operation-options-priv.h |   2 +
 src/grl-operation-options.c      | 343 +++++++++++++++++++++++++++++++++++++++
 src/grl-operation-options.h      |  85 ++++++++++
 3 files changed, 430 insertions(+)

commit 7da8c1ef20313a4541cef8eec07c3464ef9a2385
Author: Guillaume Emont <gemont@igalia.com>
Date:   Thu Mar 24 20:56:13 2011 +0100

    core: introduced GrlCaps
    
    The GrlCaps type will represent the capabilities of a given source for a given
    operation.

 src/grl-caps.c | 134 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/grl-caps.h |  70 ++++++++++++++++++++++++++++++
 2 files changed, 204 insertions(+)

commit 054c7c8d353783a1769d72c3e7adee3d8bd2d146
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Mon Nov 28 10:04:55 2011 +0100

    core: add operation option keys
    
    These keys represent options that will be given to operations.

 src/grl-operation-options-priv.h | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

commit 8b600784827e547cf312c987c06d6e91c68dc332
Author: Guillaume Emont <gemont@igalia.com>
Date:   Fri Apr 1 16:56:25 2011 +0200

    core: Added some helper functions to handle GValues

 src/Makefile.am        |  4 ++-
 src/grl-value-helper.c | 80 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/grl-value-helper.h | 44 +++++++++++++++++++++++++++
 3 files changed, 127 insertions(+), 1 deletion(-)

commit 76bb6fc28debdd063bb1f271bec40d2ff6e81cb9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Dec 13 11:11:17 2011 +0000

    test-ui: Load settings from file
    
    Besides the hard-coded settings in Grilo Test UI application, we load settings
    stored in $HOME/.config/grilo-test-ui/grilo.conf file.
    
    Thus, user can store it his own settings to be used.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 tools/grilo-test-ui/main.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit ddc6b4fd62ffe3f5fe1d45a2441c30a2ec85b222
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sat Dec 10 22:54:42 2011 -0600

    Do not dist gir_DATA
    
    GIR files contain a shared-library attribute which varies per platform,
    and therefore must not be disted; see bug 621611 for rationale.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=665938
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 libs/net/Makefile.am | 4 +++-
 src/Makefile.am      | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 09d50a2c36f4e54e007cdfe5c0b270de6dc2aadb
Author: Guillaume Emont <guijemont@igalia.com>
Date:   Fri Nov 25 13:22:15 2011 +0100

    Ensure grl_metadata_list_key_new() is called with a sentinel
    
    This change triggers a compilation warning (with gcc) if the sentinel is
    forgotten.

 src/grl-util.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 350d3a7c75472442313ddce160a059febb216f41
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Wed Nov 23 19:03:40 2011 +0100

    configure: Honour VAPIDIR environment variable

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d83a3e933ad81094c3e6cfc4ff4c851c5d04935e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Nov 23 17:00:07 2011 +0000

    wc-test: Remove it
    
    Actually, this application was used as a tool to develop GrlNet, but actually
    it isn't real test. So let's remove it.
    
    Signed-off-by: Juan A. Suarez Romero <jasuarez@igalia.com>

 libs/net/Makefile.am | 12 -------
 libs/net/wc-test.c   | 88 ----------------------------------------------------
 2 files changed, 100 deletions(-)

commit 99303e4204d5a38edee4054f0c52c42cd568eb18
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Tue Nov 22 16:57:16 2011 +0100

    build: conditional creation of grl-net.pc files
    
    If libsoup is not available, then the grl-net library will not be built. Hence
    we shall not create the grl-net.pc files. Otherwise we will compile plugins
    that will not be able to be loaded.
    
    Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

 configure.ac | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 68b5bfc4b1f7ab0a06e3f5614af1bdc6d7e788d7
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Tue Nov 22 16:57:15 2011 +0100

    build: avoid the export of NETCACHE variable
    
    NETCACHE variables is not used for compiler tasks, so the PKG_CHECK_MODULES
    can be replaced by a PKG_CHECK_EXISTS, which does not export an automake
    variable, as we only need to know if cache operations are supported in libsoup
    given the version number.
    
    Signed-off-by: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 745ce2f77fabf1adb64dfba839ede04b43f9b383
Author: Jens Georg <mail@jensge.org>
Date:   Sat Oct 8 09:09:24 2011 +0200

    core: Use full path to load plugin information

 src/grl-plugin-registry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7bd24c1001aee2750ad7311eba454858f3594145
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Thu Nov 10 19:21:26 2011 +0000

    bindings/vala: Fix various bugs in Vala bindings

 bindings/vala/grilo-0.2-custom.vala | 60 ++++++++++++++++++-------------------
 bindings/vala/grilo-0.2.metadata    |  5 ++++
 2 files changed, 35 insertions(+), 30 deletions(-)

commit 6794b09b694469cc0f2f18b3552d253f2836fa1c
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Thu Nov 10 19:26:29 2011 +0000

    core: Introspection fixes

 src/grl-media-source.c    | 4 ++--
 src/grl-metadata-source.c | 2 +-
 src/grl-multiple.c        | 2 +-
 src/grl-plugin-registry.c | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 5f401e69f613554fb3e3100ae46a14031742d1ca
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Wed Oct 26 13:57:11 2011 +0100

    grl-net: Correctly unref operation async result
    
    Correct behaviour is to unref the GSimpleAsyncResult object after the call to
    g_simple_async_result_complete(). It cannot be done in the async result's callback.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662763

 libs/net/grl-net-wc.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 7abc1ac9b84a84fa5f1c2c0f4e9342b21f48afe0
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   Wed Oct 26 12:36:41 2011 +0100

    grl-net: Fix crashes in SoupRequest error case
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662762

 libs/net/grl-net-wc.c | 24 ++++++++++++++++++++----
